{
    'variables': {
        # Files for which bindings (.cpp and .h files) will be generated
        'core_idl_files': [
            'animation/Animation.idl',
            'animation/AnimationEffect.idl',
            'animation/AnimationPlayer.idl',
            'animation/TimedItem.idl',
            'animation/Timeline.idl',
            'animation/Timing.idl',
            'clipboard/DataTransfer.idl',
            'clipboard/DataTransferItem.idl',
            'clipboard/DataTransferItemList.idl',
            'css/CSS.idl',
            'css/CSSCharsetRule.idl',
            'css/CSSFontFaceLoadEvent.idl',
            'css/CSSFontFaceRule.idl',
            'css/CSSImportRule.idl',
            'css/CSSKeyframeRule.idl',
            'css/CSSKeyframesRule.idl',
            'css/CSSMediaRule.idl',
            'css/CSSPageRule.idl',
            'css/CSSPrimitiveValue.idl',
            'css/CSSRule.idl',
            'css/CSSRuleList.idl',
            'css/CSSStyleDeclaration.idl',
            'css/CSSStyleRule.idl',
            'css/CSSStyleSheet.idl',
            'css/CSSSupportsRule.idl',
            'css/CSSUnknownRule.idl',
            'css/CSSValue.idl',
            'css/CSSValueList.idl',
            'css/CSSViewportRule.idl',
            'css/Counter.idl',
            'css/FontFace.idl',
            'css/FontFaceSet.idl',
            'css/FontFaceSetForEachCallback.idl',
            'css/MediaList.idl',
            'css/MediaQueryList.idl',
            'css/RGBColor.idl',
            'css/Rect.idl',
            'css/StyleMedia.idl',
            'css/StyleSheet.idl',
            'css/StyleSheetList.idl',
            'css/WebKitCSSFilterRule.idl',
            'css/WebKitCSSFilterValue.idl',
            'css/WebKitCSSMatrix.idl',
            'css/WebKitCSSTransformValue.idl',
            'dom/Attr.idl',
            'dom/CDATASection.idl',
            'dom/CharacterData.idl',
            'dom/ClientRect.idl',
            'dom/ClientRectList.idl',
            'dom/Comment.idl',
            'dom/DOMError.idl',
            'dom/DOMException.idl',
            'dom/DOMImplementation.idl',
            'dom/DOMSettableTokenList.idl',
            'dom/DOMStringList.idl',
            'dom/DOMStringMap.idl',
            'dom/DOMTokenList.idl',
            'dom/Document.idl',
            'dom/DocumentFragment.idl',
            'dom/DocumentType.idl',
            'dom/Element.idl',
            'dom/MessageChannel.idl',
            'dom/MessagePort.idl',
            'dom/MutationObserver.idl',
            'dom/MutationRecord.idl',
            'dom/NamedNodeMap.idl',
            'dom/Node.idl',
            'dom/NodeFilter.idl',
            'dom/NodeIterator.idl',
            'dom/NodeList.idl',
            'dom/Notation.idl',
            'dom/ProcessingInstruction.idl',
            'dom/Promise.idl',
            'dom/Range.idl',
            'dom/RequestAnimationFrameCallback.idl',
            'dom/StringCallback.idl',
            'dom/Text.idl',
            'dom/Touch.idl',
            'dom/TouchList.idl',
            'dom/TreeWalker.idl',
            'dom/URL.idl',
            'dom/XMLDocument.idl',
            'dom/shadow/ShadowRoot.idl',
            'events/AnimationPlayerEvent.idl',
            'events/ApplicationCacheErrorEvent.idl',
            'events/AutocompleteErrorEvent.idl',
            'events/BeforeUnloadEvent.idl',
            'events/CompositionEvent.idl',
            'events/CustomEvent.idl',
            'events/ErrorEvent.idl',
            'events/Event.idl',
            'events/EventTarget.idl',
            'events/FocusEvent.idl',
            'events/HashChangeEvent.idl',
            'events/KeyboardEvent.idl',
            'events/MessageEvent.idl',
            'events/MouseEvent.idl',
            'events/MutationEvent.idl',
            'events/OverflowEvent.idl',
            'events/PageTransitionEvent.idl',
            'events/PopStateEvent.idl',
            'events/ProgressEvent.idl',
            'events/ResourceProgressEvent.idl',
            'events/SecurityPolicyViolationEvent.idl',
            'events/TextEvent.idl',
            'events/TouchEvent.idl',
            'events/TransitionEvent.idl',
            'events/UIEvent.idl',
            'events/WebKitAnimationEvent.idl',
            'events/WheelEvent.idl',
            'fileapi/Blob.idl',
            'fileapi/File.idl',
            'fileapi/FileError.idl',
            'fileapi/FileList.idl',
            'fileapi/FileReader.idl',
            'fileapi/FileReaderSync.idl',
            'fileapi/Stream.idl',
            'frame/BarProp.idl',
            'frame/Console.idl',
            'frame/ConsoleBase.idl',
            'frame/History.idl',
            'frame/ImageBitmap.idl',
            'frame/Location.idl',
            'frame/Navigator.idl',
            'frame/Screen.idl',
            'frame/WebKitPoint.idl',
            'frame/Window.idl',
            'html/FormData.idl',
            'html/HTMLAllCollection.idl',
            'html/HTMLAnchorElement.idl',
            'html/HTMLAppletElement.idl',
            'html/HTMLAreaElement.idl',
            'html/HTMLAudioElement.idl',
            'html/HTMLBRElement.idl',
            'html/HTMLBaseElement.idl',
            'html/HTMLBodyElement.idl',
            'html/HTMLButtonElement.idl',
            'html/HTMLCanvasElement.idl',
            'html/HTMLCollection.idl',
            'html/HTMLContentElement.idl',
            'html/HTMLDListElement.idl',
            'html/HTMLDataListElement.idl',
            'html/HTMLDetailsElement.idl',
            'html/HTMLDialogElement.idl',
            'html/HTMLDirectoryElement.idl',
            'html/HTMLDivElement.idl',
            'html/HTMLDocument.idl',
            'html/HTMLElement.idl',
            'html/HTMLEmbedElement.idl',
            'html/HTMLFieldSetElement.idl',
            'html/HTMLFontElement.idl',
            'html/HTMLFormControlsCollection.idl',
            'html/HTMLFormElement.idl',
            'html/HTMLFrameElement.idl',
            'html/HTMLFrameSetElement.idl',
            'html/HTMLHRElement.idl',
            'html/HTMLHeadElement.idl',
            'html/HTMLHeadingElement.idl',
            'html/HTMLHtmlElement.idl',
            'html/HTMLIFrameElement.idl',
            'html/HTMLImageElement.idl',
            'html/HTMLInputElement.idl',
            'html/HTMLKeygenElement.idl',
            'html/HTMLLIElement.idl',
            'html/HTMLLabelElement.idl',
            'html/HTMLLegendElement.idl',
            'html/HTMLLinkElement.idl',
            'html/HTMLMapElement.idl',
            'html/HTMLMarqueeElement.idl',
            'html/HTMLMediaElement.idl',
            'html/HTMLMenuElement.idl',
            'html/HTMLMetaElement.idl',
            'html/HTMLMeterElement.idl',
            'html/HTMLModElement.idl',
            'html/HTMLOListElement.idl',
            'html/HTMLObjectElement.idl',
            'html/HTMLOptGroupElement.idl',
            'html/HTMLOptionElement.idl',
            'html/HTMLOptionsCollection.idl',
            'html/HTMLOutputElement.idl',
            'html/HTMLParagraphElement.idl',
            'html/HTMLParamElement.idl',
            'html/HTMLPictureElement.idl',
            'html/HTMLPreElement.idl',
            'html/HTMLProgressElement.idl',
            'html/HTMLQuoteElement.idl',
            'html/HTMLScriptElement.idl',
            'html/HTMLSelectElement.idl',
            'html/HTMLShadowElement.idl',
            'html/HTMLSourceElement.idl',
            'html/HTMLSpanElement.idl',
            'html/HTMLStyleElement.idl',
            'html/HTMLTableCaptionElement.idl',
            'html/HTMLTableCellElement.idl',
            'html/HTMLTableColElement.idl',
            'html/HTMLTableElement.idl',
            'html/HTMLTableRowElement.idl',
            'html/HTMLTableSectionElement.idl',
            'html/HTMLTemplateElement.idl',
            'html/HTMLTextAreaElement.idl',
            'html/HTMLTitleElement.idl',
            'html/HTMLTrackElement.idl',
            'html/HTMLUListElement.idl',
            'html/HTMLUnknownElement.idl',
            'html/HTMLVideoElement.idl',
            'html/ImageData.idl',
            'html/MediaController.idl',
            'html/MediaError.idl',
            'html/MediaKeyError.idl',
            'html/MediaKeyEvent.idl',
            'html/RadioNodeList.idl',
            'html/TextMetrics.idl',
            'html/TimeRanges.idl',
            'html/ValidityState.idl',
            'html/VoidCallback.idl',
            'html/canvas/ANGLEInstancedArrays.idl',
            'html/canvas/Canvas2DContextAttributes.idl',
            'html/canvas/CanvasGradient.idl',
            'html/canvas/CanvasPattern.idl',
            'html/canvas/CanvasRenderingContext2D.idl',
            'html/canvas/EXTFragDepth.idl',
            'html/canvas/EXTShaderTextureLOD.idl',
            'html/canvas/EXTTextureFilterAnisotropic.idl',
            'html/canvas/OESElementIndexUint.idl',
            'html/canvas/OESStandardDerivatives.idl',
            'html/canvas/OESTextureFloat.idl',
            'html/canvas/OESTextureFloatLinear.idl',
            'html/canvas/OESTextureHalfFloat.idl',
            'html/canvas/OESTextureHalfFloatLinear.idl',
            'html/canvas/OESVertexArrayObject.idl',
            'html/canvas/Path2D.idl',
            'html/canvas/WebGLActiveInfo.idl',
            'html/canvas/WebGLBuffer.idl',
            'html/canvas/WebGLCompressedTextureATC.idl',
            'html/canvas/WebGLCompressedTextureETC1.idl',
            'html/canvas/WebGLCompressedTexturePVRTC.idl',
            'html/canvas/WebGLCompressedTextureS3TC.idl',
            'html/canvas/WebGLContextAttributes.idl',
            'html/canvas/WebGLContextEvent.idl',
            'html/canvas/WebGLDebugRendererInfo.idl',
            'html/canvas/WebGLDebugShaders.idl',
            'html/canvas/WebGLDepthTexture.idl',
            'html/canvas/WebGLDrawBuffers.idl',
            'html/canvas/WebGLFramebuffer.idl',
            'html/canvas/WebGLLoseContext.idl',
            'html/canvas/WebGLProgram.idl',
            'html/canvas/WebGLRenderbuffer.idl',
            'html/canvas/WebGLRenderingContext.idl',
            'html/canvas/WebGLShader.idl',
            'html/canvas/WebGLShaderPrecisionFormat.idl',
            'html/canvas/WebGLTexture.idl',
            'html/canvas/WebGLUniformLocation.idl',
            'html/canvas/WebGLVertexArrayObjectOES.idl',
            'html/ime/InputMethodContext.idl',
            'html/track/TextTrack.idl',
            'html/track/TextTrackCue.idl',
            'html/track/TextTrackCueList.idl',
            'html/track/TextTrackList.idl',
            'html/track/TrackEvent.idl',
            'html/track/vtt/VTTCue.idl',
            'html/track/vtt/VTTRegion.idl',
            'html/track/vtt/VTTRegionList.idl',
            'inspector/InjectedScriptHost.idl',
            'inspector/InspectorFrontendHost.idl',
            'inspector/InspectorOverlayHost.idl',
            'inspector/JavaScriptCallFrame.idl',
            'loader/appcache/ApplicationCache.idl',
            'page/EventSource.idl',
            'page/PagePopupController.idl',
            'page/Selection.idl',
            'plugins/MimeType.idl',
            'plugins/MimeTypeArray.idl',
            'plugins/Plugin.idl',
            'plugins/PluginArray.idl',
            'storage/Storage.idl',
            'storage/StorageEvent.idl',
            'svg/SVGAElement.idl',
            'svg/SVGAltGlyphDefElement.idl',
            'svg/SVGAltGlyphElement.idl',
            'svg/SVGAltGlyphItemElement.idl',
            'svg/SVGAngle.idl',
            'svg/SVGAnimateElement.idl',
            'svg/SVGAnimateMotionElement.idl',
            'svg/SVGAnimateTransformElement.idl',
            'svg/SVGAnimatedAngle.idl',
            'svg/SVGAnimatedBoolean.idl',
            'svg/SVGAnimatedEnumeration.idl',
            'svg/SVGAnimatedInteger.idl',
            'svg/SVGAnimatedLength.idl',
            'svg/SVGAnimatedLengthList.idl',
            'svg/SVGAnimatedNumber.idl',
            'svg/SVGAnimatedNumberList.idl',
            'svg/SVGAnimatedPreserveAspectRatio.idl',
            'svg/SVGAnimatedRect.idl',
            'svg/SVGAnimatedString.idl',
            'svg/SVGAnimatedTransformList.idl',
            'svg/SVGAnimationElement.idl',
            'svg/SVGCircleElement.idl',
            'svg/SVGClipPathElement.idl',
            'svg/SVGComponentTransferFunctionElement.idl',
            'svg/SVGCursorElement.idl',
            'svg/SVGDefsElement.idl',
            'svg/SVGDescElement.idl',
            'svg/SVGDiscardElement.idl',
            'svg/SVGElement.idl',
            'svg/SVGElementInstance.idl',
            'svg/SVGEllipseElement.idl',
            'svg/SVGFEBlendElement.idl',
            'svg/SVGFEColorMatrixElement.idl',
            'svg/SVGFEComponentTransferElement.idl',
            'svg/SVGFECompositeElement.idl',
            'svg/SVGFEConvolveMatrixElement.idl',
            'svg/SVGFEDiffuseLightingElement.idl',
            'svg/SVGFEDisplacementMapElement.idl',
            'svg/SVGFEDistantLightElement.idl',
            'svg/SVGFEDropShadowElement.idl',
            'svg/SVGFEFloodElement.idl',
            'svg/SVGFEFuncAElement.idl',
            'svg/SVGFEFuncBElement.idl',
            'svg/SVGFEFuncGElement.idl',
            'svg/SVGFEFuncRElement.idl',
            'svg/SVGFEGaussianBlurElement.idl',
            'svg/SVGFEImageElement.idl',
            'svg/SVGFEMergeElement.idl',
            'svg/SVGFEMergeNodeElement.idl',
            'svg/SVGFEMorphologyElement.idl',
            'svg/SVGFEOffsetElement.idl',
            'svg/SVGFEPointLightElement.idl',
            'svg/SVGFESpecularLightingElement.idl',
            'svg/SVGFESpotLightElement.idl',
            'svg/SVGFETileElement.idl',
            'svg/SVGFETurbulenceElement.idl',
            'svg/SVGFilterElement.idl',
            'svg/SVGFontElement.idl',
            'svg/SVGFontFaceElement.idl',
            'svg/SVGFontFaceFormatElement.idl',
            'svg/SVGFontFaceNameElement.idl',
            'svg/SVGFontFaceSrcElement.idl',
            'svg/SVGFontFaceUriElement.idl',
            'svg/SVGForeignObjectElement.idl',
            'svg/SVGGElement.idl',
            'svg/SVGGeometryElement.idl',
            'svg/SVGGlyphElement.idl',
            'svg/SVGGlyphRefElement.idl',
            'svg/SVGGradientElement.idl',
            'svg/SVGGraphicsElement.idl',
            'svg/SVGHKernElement.idl',
            'svg/SVGImageElement.idl',
            'svg/SVGLength.idl',
            'svg/SVGLengthList.idl',
            'svg/SVGLineElement.idl',
            'svg/SVGLinearGradientElement.idl',
            'svg/SVGMPathElement.idl',
            'svg/SVGMarkerElement.idl',
            'svg/SVGMaskElement.idl',
            'svg/SVGMatrix.idl',
            'svg/SVGMetadataElement.idl',
            'svg/SVGMissingGlyphElement.idl',
            'svg/SVGNumber.idl',
            'svg/SVGNumberList.idl',
            'svg/SVGPathElement.idl',
            'svg/SVGPathSeg.idl',
            'svg/SVGPathSegArcAbs.idl',
            'svg/SVGPathSegArcRel.idl',
            'svg/SVGPathSegClosePath.idl',
            'svg/SVGPathSegCurvetoCubicAbs.idl',
            'svg/SVGPathSegCurvetoCubicRel.idl',
            'svg/SVGPathSegCurvetoCubicSmoothAbs.idl',
            'svg/SVGPathSegCurvetoCubicSmoothRel.idl',
            'svg/SVGPathSegCurvetoQuadraticAbs.idl',
            'svg/SVGPathSegCurvetoQuadraticRel.idl',
            'svg/SVGPathSegCurvetoQuadraticSmoothAbs.idl',
            'svg/SVGPathSegCurvetoQuadraticSmoothRel.idl',
            'svg/SVGPathSegLinetoAbs.idl',
            'svg/SVGPathSegLinetoHorizontalAbs.idl',
            'svg/SVGPathSegLinetoHorizontalRel.idl',
            'svg/SVGPathSegLinetoRel.idl',
            'svg/SVGPathSegLinetoVerticalAbs.idl',
            'svg/SVGPathSegLinetoVerticalRel.idl',
            'svg/SVGPathSegList.idl',
            'svg/SVGPathSegMovetoAbs.idl',
            'svg/SVGPathSegMovetoRel.idl',
            'svg/SVGPatternElement.idl',
            'svg/SVGPoint.idl',
            'svg/SVGPointList.idl',
            'svg/SVGPolygonElement.idl',
            'svg/SVGPolylineElement.idl',
            'svg/SVGPreserveAspectRatio.idl',
            'svg/SVGRadialGradientElement.idl',
            'svg/SVGRect.idl',
            'svg/SVGRectElement.idl',
            'svg/SVGRenderingIntent.idl',
            'svg/SVGSVGElement.idl',
            'svg/SVGScriptElement.idl',
            'svg/SVGSetElement.idl',
            'svg/SVGStopElement.idl',
            'svg/SVGStringList.idl',
            'svg/SVGStyleElement.idl',
            'svg/SVGSwitchElement.idl',
            'svg/SVGSymbolElement.idl',
            'svg/SVGTSpanElement.idl',
            'svg/SVGTextContentElement.idl',
            'svg/SVGTextElement.idl',
            'svg/SVGTextPathElement.idl',
            'svg/SVGTextPositioningElement.idl',
            'svg/SVGTitleElement.idl',
            'svg/SVGTransform.idl',
            'svg/SVGTransformList.idl',
            'svg/SVGUnitTypes.idl',
            'svg/SVGUseElement.idl',
            'svg/SVGVKernElement.idl',
            'svg/SVGViewElement.idl',
            'svg/SVGViewSpec.idl',
            'svg/SVGZoomEvent.idl',
            'timing/MemoryInfo.idl',
            'timing/Performance.idl',
            'timing/PerformanceEntry.idl',
            'timing/PerformanceMark.idl',
            'timing/PerformanceMeasure.idl',
            'timing/PerformanceNavigation.idl',
            'timing/PerformanceResourceTiming.idl',
            'timing/PerformanceTiming.idl',
            'workers/DedicatedWorkerGlobalScope.idl',
            'workers/SharedWorker.idl',
            'workers/SharedWorkerGlobalScope.idl',
            'workers/Worker.idl',
            'workers/WorkerConsole.idl',
            'workers/WorkerGlobalScope.idl',
            'workers/WorkerLocation.idl',
            'workers/WorkerNavigator.idl',
            'xml/DOMParser.idl',
            'xml/XMLHttpRequest.idl',
            'xml/XMLHttpRequestEventTarget.idl',
            'xml/XMLHttpRequestProgressEvent.idl',
            'xml/XMLHttpRequestUpload.idl',
            'xml/XMLSerializer.idl',
            'xml/XPathEvaluator.idl',
            'xml/XPathExpression.idl',
            'xml/XPathNSResolver.idl',
            'xml/XPathResult.idl',
            'xml/XSLTProcessor.idl',
        ],
        # 'partial interface', target (right side of) 'implements', and
        # interfaces with static bindings (in bindings/v8/)
        'core_dependency_idl_files': [
            'animation/DocumentAnimation.idl',
            'animation/ElementAnimation.idl',
            'css/DocumentFontFaceSet.idl',
            'dom/ChildNode.idl',
            'dom/DocumentFullscreen.idl',
            'dom/GlobalEventHandlers.idl',
            'dom/ParentNode.idl',
            'dom/URLUtils.idl',
            'dom/URLUtilsReadOnly.idl',
            'events/EventListener.idl',
            'events/NavigatorEvents.idl',
            'frame/NavigatorID.idl',
            'frame/NavigatorLanguage.idl',
            'frame/NavigatorOnLine.idl',
            'frame/WindowBase64.idl',
            'frame/WindowEventHandlers.idl',
            'frame/WindowTimers.idl',
            'html/canvas/CanvasPathMethods.idl',
            'html/canvas/WebGLRenderingContextBase.idl',
            'page/WindowPagePopup.idl',
            'svg/SVGDocument.idl',
            'svg/SVGFilterPrimitiveStandardAttributes.idl',
            'svg/SVGFitToViewBox.idl',
            'svg/SVGTests.idl',
            'svg/SVGURIReference.idl',
            'svg/SVGZoomAndPan.idl',
            'workers/AbstractWorker.idl',
            'xml/DocumentXPathEvaluator.idl',
        ],
        # interfaces that inherit from Event, including Event itself
        'core_event_idl_files': [
            'css/CSSFontFaceLoadEvent.idl',
            'events/AnimationPlayerEvent.idl',
            'events/ApplicationCacheErrorEvent.idl',
            'events/AutocompleteErrorEvent.idl',
            'events/BeforeUnloadEvent.idl',
            'events/CompositionEvent.idl',
            'events/CustomEvent.idl',
            'events/ErrorEvent.idl',
            'events/Event.idl',
            'events/FocusEvent.idl',
            'events/HashChangeEvent.idl',
            'events/KeyboardEvent.idl',
            'events/MessageEvent.idl',
            'events/MouseEvent.idl',
            'events/MutationEvent.idl',
            'events/OverflowEvent.idl',
            'events/PageTransitionEvent.idl',
            'events/PopStateEvent.idl',
            'events/ProgressEvent.idl',
            'events/ResourceProgressEvent.idl',
            'events/SecurityPolicyViolationEvent.idl',
            'events/TextEvent.idl',
            'events/TouchEvent.idl',
            'events/TransitionEvent.idl',
            'events/UIEvent.idl',
            'events/WebKitAnimationEvent.idl',
            'events/WheelEvent.idl',
            'html/MediaKeyEvent.idl',
            'html/canvas/WebGLContextEvent.idl',
            'html/track/TrackEvent.idl',
            'storage/StorageEvent.idl',
            'svg/SVGZoomEvent.idl',
            'xml/XMLHttpRequestProgressEvent.idl',
        ],
        'webcore_files': [
            'Init.cpp',
            'Init.h',
            'accessibility/AXARIAGrid.cpp',
            'accessibility/AXARIAGrid.h',
            'accessibility/AXARIAGridCell.cpp',
            'accessibility/AXARIAGridCell.h',
            'accessibility/AXARIAGridRow.cpp',
            'accessibility/AXARIAGridRow.h',
            'accessibility/AXImageMapLink.cpp',
            'accessibility/AXImageMapLink.h',
            'accessibility/AXInlineTextBox.cpp',
            'accessibility/AXInlineTextBox.h',
            'accessibility/AXList.cpp',
            'accessibility/AXList.h',
            'accessibility/AXListBox.cpp',
            'accessibility/AXListBox.h',
            'accessibility/AXListBoxOption.cpp',
            'accessibility/AXListBoxOption.h',
            'accessibility/AXMediaControls.cpp',
            'accessibility/AXMediaControls.h',
            'accessibility/AXMenuList.cpp',
            'accessibility/AXMenuList.h',
            'accessibility/AXMenuListOption.cpp',
            'accessibility/AXMenuListOption.h',
            'accessibility/AXMenuListPopup.cpp',
            'accessibility/AXMenuListPopup.h',
            'accessibility/AXMockObject.cpp',
            'accessibility/AXMockObject.h',
            'accessibility/AXNodeObject.cpp',
            'accessibility/AXNodeObject.h',
            'accessibility/AXObject.cpp',
            'accessibility/AXObjectCache.cpp',
            'accessibility/AXProgressIndicator.cpp',
            'accessibility/AXProgressIndicator.h',
            'accessibility/AXRenderObject.cpp',
            'accessibility/AXRenderObject.h',
            'accessibility/AXSVGRoot.cpp',
            'accessibility/AXSVGRoot.h',
            'accessibility/AXScrollView.cpp',
            'accessibility/AXScrollView.h',
            'accessibility/AXScrollbar.cpp',
            'accessibility/AXScrollbar.h',
            'accessibility/AXSlider.cpp',
            'accessibility/AXSlider.h',
            'accessibility/AXSpinButton.cpp',
            'accessibility/AXSpinButton.h',
            'accessibility/AXTable.cpp',
            'accessibility/AXTable.h',
            'accessibility/AXTableCell.cpp',
            'accessibility/AXTableCell.h',
            'accessibility/AXTableColumn.cpp',
            'accessibility/AXTableColumn.h',
            'accessibility/AXTableHeaderContainer.cpp',
            'accessibility/AXTableHeaderContainer.h',
            'accessibility/AXTableRow.cpp',
            'accessibility/AXTableRow.h',
            'animation/ActiveAnimations.cpp',
            'animation/ActiveAnimations.h',
            'animation/AnimatableClipPathOperation.cpp',
            'animation/AnimatableClipPathOperation.h',
            'animation/AnimatableColor.cpp',
            'animation/AnimatableColor.h',
            'animation/AnimatableDouble.cpp',
            'animation/AnimatableDouble.h',
            'animation/AnimatableFilterOperations.cpp',
            'animation/AnimatableFilterOperations.h',
            'animation/AnimatableImage.cpp',
            'animation/AnimatableImage.h',
            'animation/AnimatableLength.cpp',
            'animation/AnimatableLength.h',
            'animation/AnimatableLengthBox.cpp',
            'animation/AnimatableLengthBox.h',
            'animation/AnimatableLengthBoxAndBool.cpp',
            'animation/AnimatableLengthBoxAndBool.h',
            'animation/AnimatableLengthPoint.cpp',
            'animation/AnimatableLengthPoint.h',
            'animation/AnimatableLengthPoint3D.cpp',
            'animation/AnimatableLengthPoint3D.h',
            'animation/AnimatableLengthSize.cpp',
            'animation/AnimatableLengthSize.h',
            'animation/AnimatableNeutral.h',
            'animation/AnimatableRepeatable.cpp',
            'animation/AnimatableRepeatable.h',
            'animation/AnimatableSVGLength.cpp',
            'animation/AnimatableSVGLength.h',
            'animation/AnimatableSVGPaint.cpp',
            'animation/AnimatableSVGPaint.h',
            'animation/AnimatableShadow.cpp',
            'animation/AnimatableShadow.h',
            'animation/AnimatableShapeValue.cpp',
            'animation/AnimatableShapeValue.h',
            'animation/AnimatableStrokeDasharrayList.cpp',
            'animation/AnimatableStrokeDasharrayList.h',
            'animation/AnimatableTransform.cpp',
            'animation/AnimatableTransform.h',
            'animation/AnimatableUnknown.h',
            'animation/AnimatableValue.cpp',
            'animation/AnimatableValue.h',
            'animation/AnimatableValueKeyframe.cpp',
            'animation/AnimatableValueKeyframe.h',
            'animation/AnimatableVisibility.cpp',
            'animation/AnimatableVisibility.h',
            'animation/Animation.cpp',
            'animation/Animation.h',
            'animation/AnimationClock.cpp',
            'animation/AnimationClock.h',
            'animation/AnimationEffect.h',
            'animation/AnimationHelpers.h',
            'animation/AnimationPlayer.cpp',
            'animation/AnimationPlayer.h',
            'animation/AnimationStack.cpp',
            'animation/AnimationStack.h',
            'animation/AnimationTranslationUtil.cpp',
            'animation/AnimationTranslationUtil.h',
            'animation/CompositorAnimations.cpp',
            'animation/CompositorAnimations.h',
            'animation/CompositorAnimationsImpl.h',
            'animation/DocumentAnimation.h',
            'animation/DocumentAnimations.cpp',
            'animation/DocumentAnimations.h',
            'animation/DocumentTimeline.cpp',
            'animation/DocumentTimeline.h',
            'animation/EffectInput.cpp',
            'animation/EffectInput.h',
            'animation/ElementAnimation.h',
            'animation/InertAnimation.cpp',
            'animation/InertAnimation.h',
            'animation/InterpolableValue.cpp',
            'animation/InterpolableValue.h',
            'animation/Interpolation.cpp',
            'animation/Interpolation.h',
            'animation/InterpolationEffect.cpp',
            'animation/InterpolationEffect.h',
            'animation/KeyframeEffectModel.cpp',
            'animation/KeyframeEffectModel.h',
            'animation/SampledEffect.cpp',
            'animation/SampledEffect.h',
            'animation/StringKeyframe.cpp',
            'animation/StringKeyframe.h',
            'animation/TimedItem.cpp',
            'animation/TimedItem.h',
            'animation/TimedItemCalculations.h',
            'animation/TimedItemTiming.cpp',
            'animation/TimedItemTiming.h',
            'animation/Timing.h',
            'animation/TimingInput.cpp',
            'animation/TimingInput.h',
            'animation/css/CSSAnimatableValueFactory.cpp',
            'animation/css/CSSAnimatableValueFactory.h',
            'animation/css/CSSAnimationData.cpp',
            'animation/css/CSSAnimationData.h',
            'animation/css/CSSAnimationDataList.cpp',
            'animation/css/CSSAnimationDataList.h',
            'animation/css/CSSAnimations.cpp',
            'animation/css/CSSAnimations.h',
            'animation/CompositorPendingAnimations.cpp',
            'animation/CompositorPendingAnimations.h',
            'animation/css/CSSPropertyEquality.cpp',
            'animation/css/CSSPropertyEquality.h',
            'animation/css/TransitionTimeline.cpp',
            'animation/css/TransitionTimeline.h',
            'clipboard/Clipboard.cpp',
            'clipboard/Clipboard.h',
            'clipboard/DataObject.cpp',
            'clipboard/DataObject.h',
            'clipboard/DataObjectItem.cpp',
            'clipboard/DataObjectItem.h',
            'clipboard/DataTransferItem.cpp',
            'clipboard/DataTransferItem.h',
            'clipboard/DataTransferItemList.cpp',
            'clipboard/DataTransferItemList.h',
            'clipboard/Pasteboard.cpp',
            'clipboard/Pasteboard.h',
            'css/BasicShapeFunctions.cpp',
            'css/BinaryDataFontFaceSource.cpp',
            'css/BinaryDataFontFaceSource.h',
            'css/CSSArrayFunctionValue.cpp',
            'css/CSSArrayFunctionValue.h',
            'css/CSSAspectRatioValue.cpp',
            'css/CSSAspectRatioValue.h',
            'css/CSSBasicShapes.cpp',
            'css/CSSBorderImage.cpp',
            'css/CSSBorderImage.h',
            'css/CSSBorderImageSliceValue.cpp',
            'css/CSSBorderImageSliceValue.h',
            'css/CSSCalculationValue.cpp',
            'css/CSSCalculationValue.h',
            'css/CSSCanvasValue.cpp',
            'css/CSSCanvasValue.h',
            'css/CSSCharsetRule.cpp',
            'css/CSSCharsetRule.h',
            'css/CSSComputedStyleDeclaration.cpp',
            'css/CSSCrossfadeValue.cpp',
            'css/CSSCrossfadeValue.h',
            'css/CSSCursorImageValue.cpp',
            'css/CSSCustomFontData.h',
            'css/CSSDefaultStyleSheets.cpp',
            'css/CSSDefaultStyleSheets.h',
            'css/CSSFilterRule.cpp',
            'css/CSSFilterRule.h',
            'css/CSSFilterValue.cpp',
            'css/CSSFilterValue.h',
            'css/CSSFontFace.cpp',
            'css/CSSFontFace.h',
            'css/CSSFontFaceLoadEvent.cpp',
            'css/CSSFontFaceLoadEvent.h',
            'css/CSSFontFaceRule.cpp',
            'css/CSSFontFaceRule.h',
            'css/CSSFontFaceSource.cpp',
            'css/CSSFontFaceSource.h',
            'css/CSSFontFaceSrcValue.cpp',
            'css/CSSFontFaceSrcValue.h',
            'css/CSSFontFeatureValue.cpp',
            'css/CSSFontFeatureValue.h',
            'css/CSSFontSelector.cpp',
            'css/CSSFontSelector.h',
            'css/CSSFontSelectorClient.h',
            'css/CSSFontValue.cpp',
            'css/CSSFontValue.h',
            'css/CSSFunctionValue.cpp',
            'css/CSSFunctionValue.h',
            'css/CSSGradientValue.cpp',
            'css/CSSGradientValue.h',
            'css/CSSGridLineNamesValue.cpp',
            'css/CSSGridLineNamesValue.h',
            'css/CSSGridTemplateAreasValue.cpp',
            'css/CSSGridTemplateAreasValue.h',
            'css/CSSGroupingRule.cpp',
            'css/CSSGroupingRule.h',
            'css/CSSImageGeneratorValue.cpp',
            'css/CSSImageSetValue.cpp',
            'css/CSSImageValue.cpp',
            'css/CSSImportRule.cpp',
            'css/CSSImportRule.h',
            'css/CSSInheritedValue.cpp',
            'css/CSSInheritedValue.h',
            'css/CSSInitialValue.cpp',
            'css/CSSInitialValue.h',
            'css/CSSKeyframeRule.cpp',
            'css/CSSKeyframeRule.h',
            'css/CSSKeyframesRule.cpp',
            'css/CSSKeyframesRule.h',
            'css/CSSLineBoxContainValue.cpp',
            'css/CSSMarkup.cpp',
            'css/CSSMarkup.h',
            'css/CSSMatrix.cpp',
            'css/CSSMatrix.h',
            'css/CSSMediaRule.cpp',
            'css/CSSMediaRule.h',
            'css/CSSOMUtils.cpp',
            'css/CSSOMUtils.h',
            'css/CSSPageRule.cpp',
            'css/CSSPageRule.h',
            'css/CSSParserMode.cpp',
            'css/CSSParserMode.h',
            'css/CSSParserValues.cpp',
            'css/CSSPrimitiveValue.cpp',
            'css/CSSPrimitiveValueMappings.h',
            'css/CSSProperty.cpp',
            'css/CSSPropertySourceData.cpp',
            'css/CSSReflectValue.cpp',
            'css/CSSRule.cpp',
            'css/CSSRule.h',
            'css/CSSRuleList.cpp',
            'css/CSSRuleList.h',
            'css/CSSSVGDocumentValue.cpp',
            'css/CSSSVGDocumentValue.h',
            'css/CSSSegmentedFontFace.cpp',
            'css/CSSSegmentedFontFace.h',
            'css/CSSSelector.cpp',
            'css/CSSSelectorList.cpp',
            'css/CSSSelectorList.h',
            'css/CSSShadowValue.cpp',
            'css/CSSShadowValue.h',
            'css/CSSStyleDeclaration.h',
            'css/CSSStyleRule.cpp',
            'css/CSSStyleRule.h',
            'css/CSSStyleSheet.cpp',
            'css/CSSStyleSheet.h',
            'css/CSSSupportsRule.cpp',
            'css/CSSSupportsRule.h',
            'css/CSSTimingFunctionValue.cpp',
            'css/CSSTimingFunctionValue.h',
            'css/CSSToLengthConversionData.cpp',
            'css/CSSToLengthConversionData.h',
            'css/CSSTokenizer.h',
            'css/CSSTransformValue.cpp',
            'css/CSSUnicodeRangeValue.cpp',
            'css/CSSUnicodeRangeValue.h',
            'css/CSSUnknownRule.h',
            'css/CSSValue.cpp',
            'css/CSSValueList.cpp',
            'css/CSSValuePool.cpp',
            'css/CSSValuePool.h',
            'css/CSSViewportRule.cpp',
            'css/CSSViewportRule.h',
            'css/Counter.cpp',
            'css/Counter.h',
            'css/DOMWindowCSS.cpp',
            'css/DOMWindowCSS.h',
            'css/DocumentFontFaceSet.cpp',
            'css/DocumentFontFaceSet.h',
            'css/ElementRuleCollector.cpp',
            'css/ElementRuleCollector.h',
            'css/FontFace.cpp',
            'css/FontFace.h',
            'css/FontFaceCache.cpp',
            'css/FontFaceCache.h',
            'css/FontFaceSet.cpp',
            'css/FontFaceSet.h',
            'css/FontFaceSetForEachCallback.h',
            'css/FontSize.cpp',
            'css/FontSize.h',
            'css/HashTools.h',
            'css/LocalFontFaceSource.cpp',
            'css/LocalFontFaceSource.h',
            'css/MediaList.cpp',
            'css/MediaList.h',
            'css/MediaQuery.cpp',
            'css/MediaQuery.h',
            'css/MediaQueryEvaluator.cpp',
            'css/MediaQueryEvaluator.h',
            'css/MediaQueryExp.cpp',
            'css/MediaQueryExp.h',
            'css/MediaQueryList.cpp',
            'css/MediaQueryList.h',
            'css/MediaQueryListListener.cpp',
            'css/MediaQueryListListener.h',
            'css/MediaQueryMatcher.cpp',
            'css/MediaQueryMatcher.h',
            'css/MediaValues.cpp',
            'css/MediaValuesCached.cpp',
            'css/MediaValuesDynamic.cpp',
            'css/PageRuleCollector.cpp',
            'css/PageRuleCollector.h',
            'css/Pair.cpp',
            'css/Pair.h',
            'css/PropertySetCSSStyleDeclaration.cpp',
            'css/PropertySetCSSStyleDeclaration.h',
            'css/PseudoStyleRequest.h',
            'css/RGBColor.cpp',
            'css/RGBColor.h',
            'css/Rect.cpp',
            'css/Rect.h',
            'css/RemoteFontFaceSource.cpp',
            'css/RemoteFontFaceSource.h',
            'css/RuleFeature.cpp',
            'css/RuleFeature.h',
            'css/RuleSet.cpp',
            'css/RuleSet.h',
            'css/RuntimeCSSEnabled.cpp',
            'css/RuntimeCSSEnabled.h',
            'css/SVGCSSComputedStyleDeclaration.cpp',
            'css/SelectorChecker.cpp',
            'css/SelectorChecker.h',
            'css/SelectorFilter.cpp',
            'css/SelectorFilter.h',
            'css/SiblingTraversalStrategies.h',
            'css/StyleColor.h',
            'css/StyleMedia.cpp',
            'css/StyleMedia.h',
            'css/StylePropertySerializer.cpp',
            'css/StylePropertySerializer.h',
            'css/StylePropertySet.cpp',
            'css/StylePropertySet.h',
            'css/StylePropertyShorthandCustom.cpp',
            'css/StyleRule.cpp',
            'css/StyleRule.h',
            'css/StyleRuleImport.cpp',
            'css/StyleRuleImport.h',
            'css/StyleSheet.cpp',
            'css/StyleSheet.h',
            'css/StyleSheetContents.cpp',
            'css/StyleSheetContents.h',
            'css/StyleSheetList.cpp',
            'css/StyleSheetList.h',
            'css/TreeBoundaryCrossingRules.cpp',
            'css/TreeBoundaryCrossingRules.h',
            'css/invalidation/DescendantInvalidationSet.cpp',
            'css/invalidation/DescendantInvalidationSet.h',
            'css/invalidation/StyleInvalidator.cpp',
            'css/invalidation/StyleInvalidator.h',
            'css/invalidation/StyleSheetInvalidationAnalysis.cpp',
            'css/invalidation/StyleSheetInvalidationAnalysis.h',
            'css/parser/BisonCSSParser.h',
            'css/parser/CSSPropertyParser.cpp',
            'css/parser/CSSPropertyParser.h',
            'css/parser/MediaQueryBlockWatcher.cpp',
            'css/parser/MediaQueryInputStream.cpp',
            'css/parser/MediaQueryParser.cpp',
            'css/parser/SizesCalcParser.cpp',
            'css/parser/MediaQueryToken.cpp',
            'css/parser/MediaQueryTokenizer.cpp',
            'css/parser/SizesAttributeParser.cpp',
            'css/resolver/AnimatedStyleBuilder.cpp',
            'css/resolver/AnimatedStyleBuilder.h',
            'css/resolver/CSSToStyleMap.cpp',
            'css/resolver/CSSToStyleMap.h',
            'css/resolver/ElementResolveContext.cpp',
            'css/resolver/ElementResolveContext.h',
            'css/resolver/ElementStyleResources.cpp',
            'css/resolver/ElementStyleResources.h',
            'css/resolver/FilterOperationResolver.cpp',
            'css/resolver/FilterOperationResolver.h',
            'css/resolver/FontBuilder.cpp',
            'css/resolver/FontBuilder.h',
            'css/resolver/MatchRequest.h',
            'css/resolver/MatchResult.cpp',
            'css/resolver/MatchResult.h',
            'css/resolver/MatchedPropertiesCache.cpp',
            'css/resolver/MatchedPropertiesCache.h',
            'css/resolver/MediaQueryResult.h',
            'css/resolver/ScopedStyleResolver.cpp',
            'css/resolver/ScopedStyleResolver.h',
            'css/resolver/ScopedStyleTree.cpp',
            'css/resolver/ScopedStyleTree.h',
            'css/resolver/SharedStyleFinder.cpp',
            'css/resolver/SharedStyleFinder.h',
            'css/resolver/StyleAdjuster.cpp',
            'css/resolver/StyleAdjuster.h',
            'css/resolver/StyleBuilderConverter.cpp',
            'css/resolver/StyleBuilderConverter.h',
            'css/resolver/StyleBuilderCustom.cpp',
            'css/resolver/StyleResolver.cpp',
            'css/resolver/StyleResolver.h',
            'css/resolver/StyleResolverParentScope.cpp',
            'css/resolver/StyleResolverParentScope.h',
            'css/resolver/StyleResolverState.cpp',
            'css/resolver/StyleResolverState.h',
            'css/resolver/StyleResolverStats.cpp',
            'css/resolver/StyleResolverStats.h',
            'css/resolver/StyleResourceLoader.cpp',
            'css/resolver/StyleResourceLoader.h',
            'css/resolver/TransformBuilder.cpp',
            'css/resolver/TransformBuilder.h',
            'css/resolver/ViewportStyleResolver.cpp',
            'css/resolver/ViewportStyleResolver.h',
            'editing/AppendNodeCommand.cpp',
            'editing/AppendNodeCommand.h',
            'editing/ApplyBlockElementCommand.cpp',
            'editing/ApplyStyleCommand.cpp',
            'editing/ApplyStyleCommand.h',
            'editing/BreakBlockquoteCommand.cpp',
            'editing/BreakBlockquoteCommand.h',
            'editing/Caret.cpp',
            'editing/Caret.h',
            'editing/CompositeEditCommand.cpp',
            'editing/CompositionUnderline.h',
            'editing/CreateLinkCommand.cpp',
            'editing/CreateLinkCommand.h',
            'editing/DeleteFromTextNodeCommand.cpp',
            'editing/DeleteFromTextNodeCommand.h',
            'editing/DeleteSelectionCommand.cpp',
            'editing/EditCommand.cpp',
            'editing/EditingBehavior.cpp',
            'editing/EditingBehavior.h',
            'editing/EditingStyle.cpp',
            'editing/Editor.cpp',
            'editing/EditorCommand.cpp',
            'editing/EditorKeyBindings.cpp',
            'editing/FormatBlockCommand.cpp',
            'editing/FormatBlockCommand.h',
            'editing/FrameSelection.cpp',
            'editing/HTMLInterchange.cpp',
            'editing/IndentOutdentCommand.cpp',
            'editing/IndentOutdentCommand.h',
            'editing/InputMethodController.cpp',
            'editing/InputMethodController.h',
            'editing/InsertIntoTextNodeCommand.cpp',
            'editing/InsertIntoTextNodeCommand.h',
            'editing/InsertLineBreakCommand.cpp',
            'editing/InsertLineBreakCommand.h',
            'editing/InsertListCommand.cpp',
            'editing/InsertListCommand.h',
            'editing/InsertNodeBeforeCommand.cpp',
            'editing/InsertNodeBeforeCommand.h',
            'editing/InsertParagraphSeparatorCommand.cpp',
            'editing/InsertParagraphSeparatorCommand.h',
            'editing/InsertTextCommand.cpp',
            'editing/InsertTextCommand.h',
            'editing/MarkupAccumulator.cpp',
            'editing/MarkupAccumulator.h',
            'editing/MergeIdenticalElementsCommand.cpp',
            'editing/MergeIdenticalElementsCommand.h',
            'editing/MoveSelectionCommand.cpp',
            'editing/PlainTextRange.cpp',
            'editing/PlainTextRange.h',
            'editing/RemoveCSSPropertyCommand.cpp',
            'editing/RemoveCSSPropertyCommand.h',
            'editing/RemoveFormatCommand.cpp',
            'editing/RemoveFormatCommand.h',
            'editing/RemoveNodeCommand.cpp',
            'editing/RemoveNodeCommand.h',
            'editing/RemoveNodePreservingChildrenCommand.cpp',
            'editing/RemoveNodePreservingChildrenCommand.h',
            'editing/RenderedPosition.cpp',
            'editing/RenderedPosition.h',
            'editing/ReplaceNodeWithSpanCommand.cpp',
            'editing/ReplaceNodeWithSpanCommand.h',
            'editing/ReplaceSelectionCommand.cpp',
            'editing/SelectionType.h',
            'editing/SetNodeAttributeCommand.cpp',
            'editing/SetNodeAttributeCommand.h',
            'editing/SimplifyMarkupCommand.cpp',
            'editing/SmartReplaceCF.cpp',
            'editing/SmartReplaceICU.cpp',
            'editing/SpellCheckRequester.cpp',
            'editing/SpellCheckRequester.h',
            'editing/SpellChecker.cpp',
            'editing/SpellChecker.h',
            'editing/SplitElementCommand.cpp',
            'editing/SplitElementCommand.h',
            'editing/SplitTextNodeCommand.cpp',
            'editing/SplitTextNodeCommand.h',
            'editing/SplitTextNodeContainingElementCommand.cpp',
            'editing/SplitTextNodeContainingElementCommand.h',
            'editing/SurroundingText.cpp',
            'editing/SurroundingText.h',
            'editing/TextCheckingHelper.cpp',
            'editing/TextCheckingHelper.h',
            'editing/TextInsertionBaseCommand.cpp',
            'editing/TextInsertionBaseCommand.h',
            'editing/TextIterator.cpp',
            'editing/TypingCommand.cpp',
            'editing/UndoStack.cpp',
            'editing/UndoStack.h',
            'editing/UndoStep.h',
            'editing/UnlinkCommand.cpp',
            'editing/UnlinkCommand.h',
            'editing/VisiblePosition.cpp',
            'editing/VisibleSelection.cpp',
            'editing/VisibleUnits.cpp',
            'editing/WrapContentsInDummySpanCommand.cpp',
            'editing/WrapContentsInDummySpanCommand.h',
            'editing/htmlediting.cpp',
            'editing/markup.cpp',
            'fetch/CSSStyleSheetResource.cpp',
            'fetch/CSSStyleSheetResource.h',
            'fetch/CachedMetadata.h',
            'fetch/CrossOriginAccessControl.cpp',
            'fetch/CrossOriginAccessControl.h',
            'fetch/DocumentResource.cpp',
            'fetch/DocumentResource.h',
            'fetch/DocumentResourceReference.h',
            'fetch/FetchContext.cpp',
            'fetch/FetchContext.h',
            'fetch/FetchInitiatorInfo.h',
            'fetch/FetchRequest.cpp',
            'fetch/FetchRequest.h',
            'fetch/FontResource.cpp',
            'fetch/FontResource.h',
            'fetch/ImageResource.cpp',
            'fetch/ImageResource.h',
            'fetch/MemoryCache.cpp',
            'fetch/MemoryCache.h',
            'fetch/RawResource.cpp',
            'fetch/RawResource.h',
            'fetch/Resource.cpp',
            'fetch/Resource.h',
            'fetch/ResourceClientWalker.h',
            'fetch/ResourceFetcher.cpp',
            'fetch/ResourceFetcher.h',
            'fetch/ResourceLoadPriorityOptimizer.cpp',
            'fetch/ResourceLoadPriorityOptimizer.h',
            'fetch/ResourceLoader.cpp',
            'fetch/ResourceLoader.h',
            'fetch/ResourceLoaderOptions.h',
            'fetch/ResourceLoaderSet.cpp',
            'fetch/ResourceLoaderSet.h',
            'fetch/ResourcePtr.cpp',
            'fetch/ResourcePtr.h',
            'fetch/ScriptResource.cpp',
            'fetch/ScriptResource.h',
            'fetch/ShaderResource.cpp',
            'fetch/ShaderResource.h',
            'fetch/XSLStyleSheetResource.cpp',
            'fetch/XSLStyleSheetResource.h',
            'fileapi/Blob.cpp',
            'fileapi/Blob.h',
            'fileapi/File.cpp',
            'fileapi/File.h',
            'fileapi/FileError.cpp',
            'fileapi/FileError.h',
            'fileapi/FileList.cpp',
            'fileapi/FileList.h',
            'fileapi/FileReader.cpp',
            'fileapi/FileReader.h',
            'fileapi/FileReaderLoader.cpp',
            'fileapi/FileReaderLoader.h',
            'fileapi/FileReaderLoaderClient.h',
            'fileapi/FileReaderSync.cpp',
            'fileapi/FileReaderSync.h',
            'fileapi/Stream.cpp',
            'fileapi/Stream.h',
            'frame/BarProp.cpp',
            'frame/BarProp.h',
            'frame/Console.cpp',
            'frame/Console.h',
            'frame/ConsoleBase.cpp',
            'frame/ConsoleBase.h',
            'frame/DOMPoint.h',
            'frame/DOMTimer.cpp',
            'frame/DOMTimer.h',
            'frame/DOMWindow.cpp',
            'frame/DOMWindow.h',
            'frame/DOMWindowBase64.cpp',
            'frame/DOMWindowBase64.h',
            'frame/DOMWindowEventHandlers.h',
            'frame/DOMWindowLifecycleNotifier.cpp',
            'frame/DOMWindowLifecycleNotifier.h',
            'frame/DOMWindowLifecycleObserver.cpp',
            'frame/DOMWindowLifecycleObserver.h',
            'frame/DOMWindowProperty.cpp',
            'frame/DOMWindowProperty.h',
            'frame/DOMWindowTimers.cpp',
            'frame/DOMWindowTimers.h',
            'frame/DeprecatedScheduleStyleRecalcDuringCompositingUpdate.cpp',
            'frame/DeprecatedScheduleStyleRecalcDuringCompositingUpdate.h',
            'frame/DeprecatedScheduleStyleRecalcDuringLayout.cpp',
            'frame/DeprecatedScheduleStyleRecalcDuringLayout.h',
            'frame/DeviceSensorEventController.cpp',
            'frame/DeviceSensorEventController.h',
            'frame/DeviceSensorEventDispatcher.cpp',
            'frame/DeviceSensorEventDispatcher.h',
            'frame/EventHandlerRegistry.cpp',
            'frame/EventHandlerRegistry.h',
            'frame/Frame.cpp',
            'frame/Frame.h',
            'frame/FrameConsole.cpp',
            'frame/FrameDestructionObserver.cpp',
            'frame/FrameDestructionObserver.h',
            'frame/FrameHost.cpp',
            'frame/FrameHost.h',
            'frame/FrameView.cpp',
            'frame/History.cpp',
            'frame/History.h',
            'frame/ImageBitmap.cpp',
            'frame/ImageBitmap.h',
            'frame/LocalFrame.cpp',
            'frame/LocalFrame.h',
            'frame/Location.cpp',
            'frame/Location.h',
            'frame/Navigator.cpp',
            'frame/Navigator.h',
            'frame/NavigatorID.cpp',
            'frame/NavigatorID.h',
            'frame/NavigatorLanguage.cpp',
            'frame/NavigatorLanguage.h',
            'frame/NavigatorOnLine.h',
            'frame/PinchViewport.cpp',
            'frame/PinchViewport.h',
            'frame/RemoteFrame.cpp',
            'frame/RemoteFrame.h',
            'frame/RemoteFrameView.cpp',
            'frame/RemoteFrameView.h',
            'frame/Screen.cpp',
            'frame/Screen.h',
            'frame/Settings.cpp',
            'frame/SettingsDelegate.cpp',
            'frame/SettingsDelegate.h',
            'frame/SmartClip.cpp',
            'frame/SmartClip.h',
            'frame/SuspendableTimer.cpp',
            'frame/SuspendableTimer.h',
            'frame/UseCounter.cpp',
            'frame/csp/CSPDirectiveList.cpp',
            'frame/csp/CSPSource.cpp',
            'frame/csp/CSPSourceList.cpp',
            'frame/csp/ContentSecurityPolicy.cpp',
            'frame/csp/MediaListDirective.cpp',
            'frame/csp/SourceListDirective.cpp',
            'inspector/AsyncCallStackTracker.cpp',
            'inspector/AsyncCallStackTracker.h',
            'inspector/BindingVisitors.h',
            'inspector/ConsoleAPITypes.h',
            'inspector/ConsoleMessage.cpp',
            'inspector/ConsoleMessage.h',
            'inspector/ContentSearchUtils.cpp',
            'inspector/ContentSearchUtils.h',
            'inspector/DOMEditor.cpp',
            'inspector/DOMEditor.h',
            'inspector/DOMPatchSupport.cpp',
            'inspector/DOMPatchSupport.h',
            'inspector/IdentifiersFactory.cpp',
            'inspector/IdentifiersFactory.h',
            'inspector/InjectedScript.cpp',
            'inspector/InjectedScript.h',
            'inspector/InjectedScriptBase.cpp',
            'inspector/InjectedScriptBase.h',
            'inspector/InjectedScriptCanvasModule.cpp',
            'inspector/InjectedScriptCanvasModule.h',
            'inspector/InjectedScriptHost.cpp',
            'inspector/InjectedScriptHost.h',
            'inspector/InjectedScriptManager.cpp',
            'inspector/InjectedScriptManager.h',
            'inspector/InjectedScriptModule.cpp',
            'inspector/InjectedScriptModule.h',
            'inspector/InspectorApplicationCacheAgent.cpp',
            'inspector/InspectorApplicationCacheAgent.h',
            'inspector/InspectorBaseAgent.cpp',
            'inspector/InspectorCSSAgent.cpp',
            'inspector/InspectorCSSAgent.h',
            'inspector/InspectorCanvasAgent.cpp',
            'inspector/InspectorCanvasAgent.h',
            'inspector/InspectorCanvasInstrumentation.h',
            'inspector/InspectorConsoleAgent.cpp',
            'inspector/InspectorConsoleAgent.h',
            'inspector/InspectorConsoleInstrumentation.h',
            'inspector/InspectorController.cpp',
            'inspector/InspectorCounters.cpp',
            'inspector/InspectorCounters.h',
            'inspector/InspectorDOMAgent.cpp',
            'inspector/InspectorDOMDebuggerAgent.cpp',
            'inspector/InspectorDOMDebuggerAgent.h',
            'inspector/InspectorDOMStorageAgent.cpp',
            'inspector/InspectorDOMStorageAgent.h',
            'inspector/InspectorDebuggerAgent.cpp',
            'inspector/InspectorDebuggerAgent.h',
            'inspector/InspectorFrontendChannel.h',
            'inspector/InspectorFrontendHost.cpp',
            'inspector/InspectorFrontendHost.h',
            'inspector/InspectorHeapProfilerAgent.cpp',
            'inspector/InspectorHeapProfilerAgent.h',
            'inspector/InspectorHistory.cpp',
            'inspector/InspectorHistory.h',
            'inspector/InspectorInputAgent.cpp',
            'inspector/InspectorInputAgent.h',
            'inspector/InspectorInspectorAgent.cpp',
            'inspector/InspectorInstrumentation.cpp',
            'inspector/InspectorInstrumentation.h',
            'inspector/InspectorInstrumentationCustomInl.h',
            'inspector/InspectorLayerTreeAgent.cpp',
            'inspector/InspectorLayerTreeAgent.h',
            'inspector/InspectorMemoryAgent.cpp',
            'inspector/InspectorMemoryAgent.h',
            'inspector/InspectorNodeIds.cpp',
            'inspector/InspectorNodeIds.h',
            'inspector/InspectorOverlay.cpp',
            'inspector/InspectorOverlay.h',
            'inspector/InspectorOverlayHost.cpp',
            'inspector/InspectorOverlayHost.h',
            'inspector/InspectorPageAgent.cpp',
            'inspector/InspectorPageAgent.h',
            'inspector/InspectorProfilerAgent.cpp',
            'inspector/InspectorProfilerAgent.h',
            'inspector/InspectorPromiseInstrumentation.h',
            'inspector/InspectorResourceAgent.cpp',
            'inspector/InspectorResourceAgent.h',
            'inspector/InspectorRuntimeAgent.cpp',
            'inspector/InspectorRuntimeAgent.h',
            'inspector/InspectorState.cpp',
            'inspector/InspectorState.h',
            'inspector/InspectorStateClient.h',
            'inspector/InspectorStyleSheet.cpp',
            'inspector/InspectorStyleSheet.h',
            'inspector/InspectorStyleTextEditor.cpp',
            'inspector/InspectorStyleTextEditor.h',
            'inspector/InspectorTimelineAgent.cpp',
            'inspector/InspectorTimelineAgent.h',
            'inspector/InspectorTraceEvents.cpp',
            'inspector/InspectorTraceEvents.h',
            'inspector/InspectorTracingAgent.cpp',
            'inspector/InspectorTracingAgent.h',
            'inspector/InspectorWorkerAgent.cpp',
            'inspector/InspectorWorkerAgent.h',
            'inspector/InstrumentingAgents.h',
            'inspector/JSONParser.cpp',
            'inspector/JSONParser.h',
            'inspector/JavaScriptCallFrame.cpp',
            'inspector/JavaScriptCallFrame.h',
            'inspector/NetworkResourcesData.cpp',
            'inspector/NetworkResourcesData.h',
            'inspector/PageConsoleAgent.cpp',
            'inspector/PageConsoleAgent.h',
            'inspector/PageDebuggerAgent.cpp',
            'inspector/PageDebuggerAgent.h',
            'inspector/PageRuntimeAgent.cpp',
            'inspector/PageRuntimeAgent.h',
            'inspector/PromiseTracker.cpp',
            'inspector/PromiseTracker.h',
            'inspector/ScriptArguments.cpp',
            'inspector/ScriptArguments.h',
            'inspector/ScriptCallFrame.cpp',
            'inspector/ScriptCallFrame.h',
            'inspector/ScriptCallStack.cpp',
            'inspector/ScriptCallStack.h',
            'inspector/ScriptGCEventListener.h',
            'inspector/ScriptProfile.cpp',
            'inspector/ScriptProfile.h',
            'inspector/TimelineRecordFactory.cpp',
            'inspector/TimelineRecordFactory.h',
            'inspector/TraceEventDispatcher.cpp',
            'inspector/TraceEventDispatcher.h',
            'inspector/WorkerConsoleAgent.cpp',
            'inspector/WorkerConsoleAgent.h',
            'inspector/WorkerDebuggerAgent.cpp',
            'inspector/WorkerDebuggerAgent.h',
            'inspector/WorkerInspectorController.cpp',
            'inspector/WorkerInspectorController.h',
            'inspector/WorkerRuntimeAgent.cpp',
            'inspector/WorkerRuntimeAgent.h',
            'loader/CookieJar.cpp',
            'loader/CrossOriginPreflightResultCache.cpp',
            'loader/DocumentLoadTiming.cpp',
            'loader/DocumentLoader.cpp',
            'loader/DocumentThreadableLoader.cpp',
            'loader/DocumentThreadableLoader.h',
            'loader/DocumentThreadableLoaderClient.h',
            'loader/DocumentWriter.cpp',
            'loader/EmptyClients.cpp',
            'loader/EmptyClients.h',
            'loader/FormState.cpp',
            'loader/FormSubmission.cpp',
            'loader/FrameFetchContext.cpp',
            'loader/FrameFetchContext.h',
            'loader/FrameLoadRequest.h',
            'loader/FrameLoader.cpp',
            'loader/FrameLoaderStateMachine.cpp',
            'loader/HistoryItem.cpp',
            'loader/HistoryItem.h',
            'loader/ImageLoader.cpp',
            'loader/ImageLoader.h',
            'loader/LinkLoader.cpp',
            'loader/LinkLoader.h',
            'loader/LinkLoaderClient.h',
            'loader/MixedContentChecker.cpp',
            'loader/MixedContentChecker.h',
            'loader/NavigationAction.cpp',
            'loader/NavigationAction.h',
            'loader/NavigationPolicy.cpp',
            'loader/NavigationPolicy.h',
            'loader/NavigationScheduler.cpp',
            'loader/PingLoader.cpp',
            'loader/PingLoader.h',
            'loader/PrerenderHandle.cpp',
            'loader/PrerenderHandle.h',
            'loader/PrerendererClient.cpp',
            'loader/PrerendererClient.h',
            'loader/ProgressTracker.cpp',
            'loader/SinkDocument.cpp',
            'loader/SinkDocument.h',
            'loader/SubstituteData.h',
            'loader/TextResourceDecoderBuilder.cpp',
            'loader/TextResourceDecoderBuilder.h',
            'loader/TextTrackLoader.cpp',
            'loader/TextTrackLoader.h',
            'loader/ThreadableLoader.cpp',
            'loader/ThreadableLoaderClient.h',
            'loader/ThreadableLoaderClientWrapper.h',
            'loader/UniqueIdentifier.cpp',
            'loader/UniqueIdentifier.h',
            'loader/WorkerLoaderClientBridge.cpp',
            'loader/WorkerLoaderClientBridge.h',
            'loader/WorkerLoaderClientBridgeSyncHelper.cpp',
            'loader/WorkerLoaderClientBridgeSyncHelper.h',
            'loader/WorkerThreadableLoader.cpp',
            'loader/WorkerThreadableLoader.h',
            'loader/appcache/ApplicationCache.cpp',
            'loader/appcache/ApplicationCache.h',
            'loader/appcache/ApplicationCacheHost.cpp',
            'loader/appcache/ApplicationCacheHost.h',
            'page/AutoscrollController.cpp',
            'page/AutoscrollController.h',
            'page/BackForwardClient.h',
            'page/Chrome.cpp',
            'page/ContextMenuController.cpp',
            'page/ContextMenuProvider.h',
            'page/CreateWindow.cpp',
            'page/CreateWindow.h',
            'page/DOMSelection.cpp',
            'page/DOMSelection.h',
            'page/DOMWindowPagePopup.cpp',
            'page/DOMWindowPagePopup.h',
            'page/DragController.cpp',
            'page/DragData.cpp',
            'page/EventHandler.cpp',
            'page/EventSource.cpp',
            'page/EventSource.h',
            'page/FocusController.cpp',
            'page/FocusType.h',
            'page/FrameTree.cpp',
            'page/InjectedStyleSheets.cpp',
            'page/InjectedStyleSheets.h',
            'page/MouseEventWithHitTestResults.cpp',
            'page/MouseEventWithHitTestResults.h',
            'page/NetworkStateNotifier.cpp',
            'page/NetworkStateNotifier.h',
            'page/Page.cpp',
            'page/Page.h',
            'page/PageAnimator.cpp',
            'page/PageAnimator.h',
            'page/PageLifecycleNotifier.cpp',
            'page/PageLifecycleNotifier.h',
            'page/PageLifecycleObserver.cpp',
            'page/PageLifecycleObserver.h',
            'page/PagePopupClient.cpp',
            'page/PagePopupClient.h',
            'page/PagePopupController.cpp',
            'page/PagePopupController.h',
            'page/PageScaleConstraints.cpp',
            'page/PageScaleConstraints.h',
            'page/PageSerializer.cpp',
            'page/PageVisibilityState.cpp',
            'page/PointerLockController.cpp',
            'page/PointerLockController.h',
            'page/PopupOpeningObserver.h',
            'page/PrintContext.cpp',
            'page/ScopedPageLoadDeferrer.cpp',
            'page/ScopedPageLoadDeferrer.h',
            'page/SpatialNavigation.cpp',
            'page/TouchAdjustment.cpp',
            'page/TouchAdjustment.h',
            'page/TouchDisambiguation.cpp',
            'page/TouchDisambiguation.h',
            'page/WindowFeatures.cpp',
            'page/WindowFocusAllowedIndicator.cpp',
            'page/scrolling/ScrollingConstraints.cpp',
            'page/scrolling/ScrollingConstraints.h',
            'page/scrolling/ScrollingCoordinator.cpp',
            'page/scrolling/ScrollingCoordinator.h',
            'plugins/DOMMimeType.cpp',
            'plugins/DOMMimeType.h',
            'plugins/DOMMimeTypeArray.cpp',
            'plugins/DOMMimeTypeArray.h',
            'plugins/DOMPlugin.cpp',
            'plugins/DOMPlugin.h',
            'plugins/DOMPluginArray.cpp',
            'plugins/DOMPluginArray.h',
            'plugins/PluginOcclusionSupport.cpp',
            'plugins/PluginOcclusionSupport.h',
            'plugins/PluginView.h',
            'rendering/AbstractInlineTextBox.cpp',
            'rendering/AbstractInlineTextBox.h',
            'rendering/AutoTableLayout.cpp',
            'rendering/AutoTableLayout.h',
            'rendering/BidiRun.h',
            'rendering/ClipRect.cpp',
            'rendering/ClipRect.h',
            'rendering/CounterNode.cpp',
            'rendering/CounterNode.h',
            'rendering/EllipsisBox.cpp',
            'rendering/EllipsisBox.h',
            'rendering/FastTextAutosizer.cpp',
            'rendering/FastTextAutosizer.h',
            'rendering/FilterEffectRenderer.cpp',
            'rendering/FilterEffectRenderer.h',
            'rendering/FixedTableLayout.cpp',
            'rendering/FixedTableLayout.h',
            'rendering/FloatingObjects.cpp',
            'rendering/FloatingObjects.h',
            'rendering/FlowThreadController.cpp',
            'rendering/FlowThreadController.h',
            'rendering/GraphicsContextAnnotator.cpp',
            'rendering/GraphicsContextAnnotator.h',
            'rendering/HitTestLocation.cpp',
            'rendering/HitTestLocation.h',
            'rendering/HitTestResult.cpp',
            'rendering/HitTestingTransformState.cpp',
            'rendering/HitTestingTransformState.h',
            'rendering/ImageQualityController.cpp',
            'rendering/ImageQualityController.h',
            'rendering/InlineBox.cpp',
            'rendering/InlineFlowBox.cpp',
            'rendering/InlineIterator.h',
            'rendering/InlineTextBox.cpp',
            'rendering/LayoutRepainter.cpp',
            'rendering/LayoutState.cpp',
            'rendering/OrderIterator.cpp',
            'rendering/OrderIterator.h',
            'rendering/PointerEventsHitRules.cpp',
            'rendering/PointerEventsHitRules.h',
            'rendering/RenderApplet.cpp',
            'rendering/RenderApplet.h',
            'rendering/RenderBR.cpp',
            'rendering/RenderBlock.cpp',
            'rendering/RenderBlockFlow.cpp',
            'rendering/RenderBlockLineLayout.cpp',
            'rendering/RenderBox.cpp',
            'rendering/RenderBoxModelObject.cpp',
            'rendering/RenderButton.cpp',
            'rendering/RenderButton.h',
            'rendering/RenderCombineText.cpp',
            'rendering/RenderCombineText.h',
            'rendering/RenderCounter.cpp',
            'rendering/RenderCounter.h',
            'rendering/RenderDeprecatedFlexibleBox.cpp',
            'rendering/RenderDeprecatedFlexibleBox.h',
            'rendering/RenderDetailsMarker.cpp',
            'rendering/RenderDetailsMarker.h',
            'rendering/RenderEmbeddedObject.cpp',
            'rendering/RenderFieldset.cpp',
            'rendering/RenderFieldset.h',
            'rendering/RenderFileUploadControl.cpp',
            'rendering/RenderFileUploadControl.h',
            'rendering/RenderFlexibleBox.cpp',
            'rendering/RenderFlexibleBox.h',
            'rendering/RenderFlowThread.cpp',
            'rendering/RenderFlowThread.h',
            'rendering/RenderFrame.cpp',
            'rendering/RenderFrame.h',
            'rendering/RenderFrameSet.cpp',
            'rendering/RenderFrameSet.h',
            'rendering/RenderFullScreen.cpp',
            'rendering/RenderFullScreen.h',
            'rendering/RenderGeometryMap.cpp',
            'rendering/RenderGeometryMap.h',
            'rendering/RenderGrid.cpp',
            'rendering/RenderGrid.h',
            'rendering/RenderHTMLCanvas.cpp',
            'rendering/RenderHTMLCanvas.h',
            'rendering/RenderIFrame.cpp',
            'rendering/RenderIFrame.h',
            'rendering/RenderImage.cpp',
            'rendering/RenderImageResource.cpp',
            'rendering/RenderImageResourceStyleImage.cpp',
            'rendering/RenderInline.cpp',
            'rendering/RenderInline.h',
            'rendering/RenderLayer.cpp',
            'rendering/RenderLayerBlendInfo.cpp',
            'rendering/RenderLayerClipper.cpp',
            'rendering/RenderLayerFilterInfo.cpp',
            'rendering/RenderLayerFilterInfo.h',
            'rendering/RenderLayerModelObject.cpp',
            'rendering/RenderLayerReflectionInfo.cpp',
            'rendering/RenderLayerRepainter.cpp',
            'rendering/RenderLayerScrollableArea.cpp',
            'rendering/RenderLayerStackingNode.cpp',
            'rendering/RenderLayerStackingNodeIterator.cpp',
            'rendering/RenderLineBoxList.cpp',
            'rendering/RenderListBox.cpp',
            'rendering/RenderListBox.h',
            'rendering/RenderListItem.cpp',
            'rendering/RenderListMarker.cpp',
            'rendering/RenderListMarker.h',
            'rendering/RenderMarquee.cpp',
            'rendering/RenderMarquee.h',
            'rendering/RenderMedia.cpp',
            'rendering/RenderMedia.h',
            'rendering/RenderMediaControlElements.cpp',
            'rendering/RenderMediaControlElements.h',
            'rendering/RenderMediaControls.cpp',
            'rendering/RenderMediaControls.h',
            'rendering/RenderMenuList.cpp',
            'rendering/RenderMenuList.h',
            'rendering/RenderMeter.cpp',
            'rendering/RenderMeter.h',
            'rendering/RenderMultiColumnFlowThread.cpp',
            'rendering/RenderMultiColumnFlowThread.h',
            'rendering/RenderMultiColumnSet.cpp',
            'rendering/RenderMultiColumnSet.h',
            'rendering/RenderObject.cpp',
            'rendering/RenderObjectChildList.cpp',
            'rendering/RenderPart.cpp',
            'rendering/RenderProgress.cpp',
            'rendering/RenderProgress.h',
            'rendering/RenderQuote.cpp',
            'rendering/RenderQuote.h',
            'rendering/RenderRegion.cpp',
            'rendering/RenderRegion.h',
            'rendering/RenderReplaced.cpp',
            'rendering/RenderReplica.cpp',
            'rendering/RenderReplica.h',
            'rendering/RenderRuby.cpp',
            'rendering/RenderRuby.h',
            'rendering/RenderRubyBase.cpp',
            'rendering/RenderRubyBase.h',
            'rendering/RenderRubyRun.cpp',
            'rendering/RenderRubyRun.h',
            'rendering/RenderRubyText.cpp',
            'rendering/RenderRubyText.h',
            'rendering/RenderScrollbar.cpp',
            'rendering/RenderScrollbar.h',
            'rendering/RenderScrollbarPart.cpp',
            'rendering/RenderScrollbarPart.h',
            'rendering/RenderScrollbarTheme.cpp',
            'rendering/RenderScrollbarTheme.h',
            'rendering/RenderSearchField.cpp',
            'rendering/RenderSearchField.h',
            'rendering/RenderSelectionInfo.h',
            'rendering/RenderSlider.cpp',
            'rendering/RenderSlider.h',
            'rendering/RenderTable.cpp',
            'rendering/RenderTable.h',
            'rendering/RenderTableCaption.cpp',
            'rendering/RenderTableCaption.h',
            'rendering/RenderTableCell.cpp',
            'rendering/RenderTableCell.h',
            'rendering/RenderTableCol.cpp',
            'rendering/RenderTableCol.h',
            'rendering/RenderTableRow.cpp',
            'rendering/RenderTableRow.h',
            'rendering/RenderTableSection.cpp',
            'rendering/RenderTableSection.h',
            'rendering/RenderText.cpp',
            'rendering/RenderTextControl.cpp',
            'rendering/RenderTextControl.h',
            'rendering/RenderTextControlMultiLine.cpp',
            'rendering/RenderTextControlMultiLine.h',
            'rendering/RenderTextControlSingleLine.cpp',
            'rendering/RenderTextControlSingleLine.h',
            'rendering/RenderTextFragment.cpp',
            'rendering/RenderTextFragment.h',
            'rendering/RenderTheme.cpp',
            'rendering/RenderTheme.h',
            'rendering/RenderThemeChromiumAndroid.cpp',
            'rendering/RenderThemeChromiumAndroid.h',
            'rendering/RenderThemeChromiumDefault.cpp',
            'rendering/RenderThemeChromiumDefault.h',
            'rendering/RenderThemeChromiumFontProvider.cpp',
            'rendering/RenderThemeChromiumFontProvider.h',
            'rendering/RenderThemeChromiumFontProviderLinux.cpp',
            'rendering/RenderThemeChromiumFontProviderWin.cpp',
            'rendering/RenderThemeChromiumMac.h',
            'rendering/RenderThemeChromiumMac.mm',
            'rendering/RenderThemeChromiumSkia.cpp',
            'rendering/RenderThemeChromiumSkia.h',
            'rendering/RenderTreeAsText.cpp',
            'rendering/RenderVTTCue.cpp',
            'rendering/RenderVTTCue.h',
            'rendering/RenderVideo.cpp',
            'rendering/RenderVideo.h',
            'rendering/RenderView.cpp',
            'rendering/RenderWidget.cpp',
            'rendering/RenderWordBreak.cpp',
            'rendering/RenderWordBreak.h',
            'rendering/RootInlineBox.cpp',
            'rendering/ScrollAlignment.cpp',
            'rendering/SubtreeLayoutScope.cpp',
            'rendering/SubtreeLayoutScope.h',
            'rendering/TableLayout.h',
            'rendering/TextAutosizer.cpp',
            'rendering/TextAutosizer.h',
            'rendering/TrailingFloatsRootInlineBox.h',
            'rendering/VerticalPositionCache.h',
            'rendering/break_lines.cpp',
            'rendering/break_lines.h',
            'rendering/compositing/CompositedLayerMapping.cpp',
            'rendering/compositing/CompositedLayerMapping.h',
            'rendering/compositing/CompositedLayerMappingPtr.h',
            'rendering/compositing/CompositingLayerAssigner.cpp',
            'rendering/compositing/CompositingLayerAssigner.h',
            'rendering/compositing/CompositingPropertyUpdater.cpp',
            'rendering/compositing/CompositingPropertyUpdater.h',
            'rendering/compositing/CompositingReasonFinder.cpp',
            'rendering/compositing/CompositingReasonFinder.h',
            'rendering/compositing/CompositingRequirementsUpdater.cpp',
            'rendering/compositing/CompositingRequirementsUpdater.h',
            'rendering/compositing/CompositingState.h',
            'rendering/compositing/CompositingTriggers.h',
            'rendering/compositing/GraphicsLayerUpdater.cpp',
            'rendering/compositing/GraphicsLayerUpdater.h',
            'rendering/compositing/RenderLayerCompositor.cpp',
            'rendering/compositing/RenderLayerCompositor.h',
            'rendering/line/BreakingContext.cpp',
            'rendering/line/LineBreaker.cpp',
            'rendering/line/LineBreaker.h',
            'rendering/line/LineWidth.cpp',
            'rendering/line/LineWidth.h',
            'rendering/line/TrailingObjects.cpp',
            'rendering/line/TrailingObjects.h',
            'rendering/shapes/BoxShape.cpp',
            'rendering/shapes/BoxShape.h',
            'rendering/shapes/PolygonShape.cpp',
            'rendering/shapes/PolygonShape.h',
            'rendering/shapes/RasterShape.cpp',
            'rendering/shapes/RasterShape.h',
            'rendering/shapes/RectangleShape.cpp',
            'rendering/shapes/RectangleShape.h',
            'rendering/shapes/Shape.cpp',
            'rendering/shapes/Shape.h',
            'rendering/shapes/ShapeInterval.h',
            'rendering/shapes/ShapeOutsideInfo.cpp',
            'rendering/shapes/ShapeOutsideInfo.h',
            'rendering/style/BasicShapes.cpp',
            'rendering/style/BorderImageLength.h',
            'rendering/style/BorderImageLengthBox.h',
            'rendering/style/CachedUAStyle.h',
            'rendering/style/ContentData.cpp',
            'rendering/style/CounterDirectives.cpp',
            'rendering/style/FillLayer.cpp',
            'rendering/style/GridCoordinate.h',
            'rendering/style/GridResolvedPosition.cpp',
            'rendering/style/GridResolvedPosition.h',
            'rendering/style/KeyframeList.cpp',
            'rendering/style/KeyframeList.h',
            'rendering/style/NinePieceImage.cpp',
            'rendering/style/QuotesData.cpp',
            'rendering/style/QuotesData.h',
            'rendering/style/RenderStyle.cpp',
            'rendering/style/RenderStyle.h',
            'rendering/style/ShadowData.cpp',
            'rendering/style/ShadowData.h',
            'rendering/style/ShadowList.cpp',
            'rendering/style/ShadowList.h',
            'rendering/style/StyleBackgroundData.cpp',
            'rendering/style/StyleBoxData.cpp',
            'rendering/style/StyleDeprecatedFlexibleBoxData.cpp',
            'rendering/style/StyleFetchedImage.cpp',
            'rendering/style/StyleFetchedImageSet.cpp',
            'rendering/style/StyleFilterData.cpp',
            'rendering/style/StyleFlexibleBoxData.cpp',
            'rendering/style/StyleGeneratedImage.cpp',
            'rendering/style/StyleGridData.cpp',
            'rendering/style/StyleGridItemData.cpp',
            'rendering/style/StyleInheritedData.cpp',
            'rendering/style/StyleMarqueeData.cpp',
            'rendering/style/StyleMultiColData.cpp',
            'rendering/style/StylePendingImage.h',
            'rendering/style/StyleRareInheritedData.cpp',
            'rendering/style/StyleRareNonInheritedData.cpp',
            'rendering/style/StyleSurroundData.cpp',
            'rendering/style/StyleTransformData.cpp',
            'rendering/style/StyleVisualData.cpp',
            'rendering/style/StyleWillChangeData.cpp',
            'rendering/svg/SVGInlineFlowBox.cpp',
            'rendering/svg/SVGInlineFlowBox.h',
            'rendering/svg/SVGInlineTextBox.cpp',
            'rendering/svg/SVGInlineTextBox.h',
            'rendering/svg/SVGMarkerData.h',
            'rendering/svg/SVGPathData.cpp',
            'rendering/svg/SVGPathData.h',
            'rendering/svg/SVGRenderSupport.cpp',
            'rendering/svg/SVGRenderSupport.h',
            'rendering/svg/SVGRenderTreeAsText.cpp',
            'rendering/svg/SVGRenderTreeAsText.h',
            'rendering/svg/SVGRenderingContext.cpp',
            'rendering/svg/SVGRenderingContext.h',
            'rendering/svg/SVGResources.cpp',
            'rendering/svg/SVGResources.h',
            'rendering/svg/SVGResourcesCache.cpp',
            'rendering/svg/SVGResourcesCycleSolver.cpp',
            'rendering/svg/SVGResourcesCycleSolver.h',
            'rendering/svg/SVGRootInlineBox.cpp',
            'rendering/svg/SVGRootInlineBox.h',
            'rendering/svg/SVGTextChunk.cpp',
            'rendering/svg/SVGTextChunk.h',
            'rendering/svg/SVGTextChunkBuilder.cpp',
            'rendering/svg/SVGTextChunkBuilder.h',
            'rendering/svg/SVGTextFragment.h',
            'rendering/svg/SVGTextLayoutAttributes.cpp',
            'rendering/svg/SVGTextLayoutAttributes.h',
            'rendering/svg/SVGTextLayoutAttributesBuilder.cpp',
            'rendering/svg/SVGTextLayoutAttributesBuilder.h',
            'rendering/svg/SVGTextLayoutEngine.cpp',
            'rendering/svg/SVGTextLayoutEngine.h',
            'rendering/svg/SVGTextLayoutEngineBaseline.cpp',
            'rendering/svg/SVGTextLayoutEngineBaseline.h',
            'rendering/svg/SVGTextLayoutEngineSpacing.cpp',
            'rendering/svg/SVGTextLayoutEngineSpacing.h',
            'rendering/svg/SVGTextMetrics.cpp',
            'rendering/svg/SVGTextMetrics.h',
            'rendering/svg/SVGTextMetricsBuilder.cpp',
            'rendering/svg/SVGTextMetricsBuilder.h',
            'rendering/svg/SVGTextQuery.cpp',
            'rendering/svg/SVGTextQuery.h',
            'rendering/svg/SVGTextRunRenderingContext.cpp',
            'rendering/svg/SVGTextRunRenderingContext.h',
            'storage/Storage.cpp',
            'storage/Storage.h',
            'storage/StorageArea.cpp',
            'storage/StorageArea.h',
            'storage/StorageEvent.cpp',
            'storage/StorageEvent.h',
            'storage/StorageNamespace.cpp',
            'storage/StorageNamespace.h',
            'timing/MemoryInfo.cpp',
            'timing/Performance.cpp',
            'timing/Performance.h',
            'timing/PerformanceEntry.cpp',
            'timing/PerformanceEntry.h',
            'timing/PerformanceMark.h',
            'timing/PerformanceMeasure.h',
            'timing/PerformanceNavigation.cpp',
            'timing/PerformanceNavigation.h',
            'timing/PerformanceResourceTiming.cpp',
            'timing/PerformanceResourceTiming.h',
            'timing/PerformanceTiming.cpp',
            'timing/PerformanceTiming.h',
            'timing/PerformanceUserTiming.cpp',
            'timing/PerformanceUserTiming.h',
            'timing/ResourceTimingInfo.h',
            'workers/AbstractWorker.cpp',
            'workers/AbstractWorker.h',
            'workers/DedicatedWorkerGlobalScope.cpp',
            'workers/DedicatedWorkerGlobalScope.h',
            'workers/DedicatedWorkerThread.cpp',
            'workers/DedicatedWorkerThread.h',
            'workers/SharedWorker.cpp',
            'workers/SharedWorker.h',
            'workers/SharedWorkerGlobalScope.cpp',
            'workers/SharedWorkerGlobalScope.h',
            'workers/SharedWorkerRepositoryClient.h',
            'workers/SharedWorkerThread.cpp',
            'workers/SharedWorkerThread.h',
            'workers/Worker.cpp',
            'workers/Worker.h',
            'workers/WorkerClients.h',
            'workers/WorkerConsole.cpp',
            'workers/WorkerConsole.h',
            'workers/WorkerEventQueue.cpp',
            'workers/WorkerEventQueue.h',
            'workers/WorkerGlobalScope.cpp',
            'workers/WorkerGlobalScope.h',
            'workers/WorkerGlobalScopeProxy.h',
            'workers/WorkerGlobalScopeProxyProvider.cpp',
            'workers/WorkerGlobalScopeProxyProvider.h',
            'workers/WorkerLoaderProxy.h',
            'workers/WorkerLocation.h',
            'workers/WorkerMessagingProxy.cpp',
            'workers/WorkerMessagingProxy.h',
            'workers/WorkerNavigator.cpp',
            'workers/WorkerNavigator.h',
            'workers/WorkerObjectProxy.cpp',
            'workers/WorkerObjectProxy.h',
            'workers/WorkerReportingProxy.h',
            'workers/WorkerRunLoop.cpp',
            'workers/WorkerScriptLoader.cpp',
            'workers/WorkerScriptLoader.h',
            'workers/WorkerScriptLoaderClient.h',
            'workers/WorkerThread.cpp',
            'workers/WorkerThreadStartupData.cpp',
            'workers/WorkerThreadStartupData.h',
            'xml/DOMParser.cpp',
            'xml/DOMParser.h',
            'xml/DocumentXPathEvaluator.cpp',
            'xml/DocumentXPathEvaluator.h',
            'xml/NativeXPathNSResolver.cpp',
            'xml/NativeXPathNSResolver.h',
            'xml/XMLErrors.cpp',
            'xml/XMLErrors.h',
            'xml/XMLHttpRequest.cpp',
            'xml/XMLHttpRequest.h',
            'xml/XMLHttpRequestEventTarget.h',
            'xml/XMLHttpRequestProgressEvent.h',
            'xml/XMLHttpRequestProgressEventThrottle.cpp',
            'xml/XMLHttpRequestProgressEventThrottle.h',
            'xml/XMLHttpRequestUpload.cpp',
            'xml/XMLHttpRequestUpload.h',
            'xml/XMLSerializer.cpp',
            'xml/XMLSerializer.h',
            'xml/XMLTreeViewer.cpp',
            'xml/XMLTreeViewer.h',
            'xml/XPathEvaluator.cpp',
            'xml/XPathEvaluator.h',
            'xml/XPathExpression.cpp',
            'xml/XPathExpression.h',
            'xml/XPathExpressionNode.cpp',
            'xml/XPathExpressionNode.h',
            'xml/XPathFunctions.cpp',
            'xml/XPathFunctions.h',
            'xml/XPathNSResolver.cpp',
            'xml/XPathNSResolver.h',
            'xml/XPathNodeSet.cpp',
            'xml/XPathNodeSet.h',
            'xml/XPathParser.cpp',
            'xml/XPathParser.h',
            'xml/XPathPath.cpp',
            'xml/XPathPath.h',
            'xml/XPathPredicate.cpp',
            'xml/XPathPredicate.h',
            'xml/XPathResult.cpp',
            'xml/XPathResult.h',
            'xml/XPathStep.cpp',
            'xml/XPathStep.h',
            'xml/XPathUtil.cpp',
            'xml/XPathUtil.h',
            'xml/XPathValue.cpp',
            'xml/XPathValue.h',
            'xml/XPathVariableReference.cpp',
            'xml/XPathVariableReference.h',
            'xml/XSLImportRule.cpp',
            'xml/XSLImportRule.h',
            'xml/XSLStyleSheet.h',
            'xml/XSLStyleSheetLibxslt.cpp',
            'xml/XSLTExtensions.cpp',
            'xml/XSLTExtensions.h',
            'xml/XSLTProcessor.cpp',
            'xml/XSLTProcessor.h',
            'xml/XSLTProcessorLibxslt.cpp',
            'xml/XSLTUnicodeSort.cpp',
            'xml/XSLTUnicodeSort.h',
            'xml/parser/MarkupTokenizerInlines.h',
            'xml/parser/SharedBufferReader.cpp',
            'xml/parser/SharedBufferReader.h',
            'xml/parser/XMLDocumentParser.cpp',
            'xml/parser/XMLDocumentParser.h',
            'xml/parser/XMLDocumentParserScope.cpp',
            'xml/parser/XMLDocumentParserScope.h',
            'xml/parser/XMLParserInput.h',
        ],
        'webcore_dom_files': [
            'dom/ActiveDOMObject.cpp',
            'dom/AddConsoleMessageTask.cpp',
            'dom/AddConsoleMessageTask.h',
            'dom/Attr.cpp',
            'dom/CDATASection.cpp',
            'dom/CDATASection.h',
            'dom/CSSSelectorWatch.cpp',
            'dom/CharacterData.cpp',
            'dom/ChildListMutationScope.cpp',
            'dom/ChildListMutationScope.h',
            'dom/ChildNodeList.cpp',
            'dom/ChildNodeList.h',
            'dom/ClassCollection.cpp',
            'dom/ClassCollection.h',
            'dom/ClientRect.cpp',
            'dom/ClientRect.h',
            'dom/ClientRectList.cpp',
            'dom/ClientRectList.h',
            'dom/Comment.cpp',
            'dom/Comment.h',
            'dom/ContainerNode.cpp',
            'dom/ContainerNodeAlgorithms.cpp',
            'dom/ContainerNodeAlgorithms.h',
            'dom/ContextFeatures.cpp',
            'dom/ContextFeatures.h',
            'dom/ContextLifecycleNotifier.cpp',
            'dom/ContextLifecycleNotifier.h',
            'dom/ContextLifecycleObserver.cpp',
            'dom/ContextLifecycleObserver.h',
            'dom/CrossThreadTask.h',
            'dom/DOMError.cpp',
            'dom/DOMError.h',
            'dom/DOMException.cpp',
            'dom/DOMException.h',
            'dom/DOMImplementation.cpp',
            'dom/DOMSettableTokenList.cpp',
            'dom/DOMSettableTokenList.h',
            'dom/DOMStringList.cpp',
            'dom/DOMStringList.h',
            'dom/DOMStringMap.cpp',
            'dom/DOMStringMap.h',
            'dom/DOMTokenList.cpp',
            'dom/DOMTokenList.h',
            'dom/DOMURL.cpp',
            'dom/DOMURL.h',
            'dom/DOMURLUtils.cpp',
            'dom/DOMURLUtils.h',
            'dom/DOMURLUtilsReadOnly.cpp',
            'dom/DOMURLUtilsReadOnly.h',
            'dom/DatasetDOMStringMap.cpp',
            'dom/DatasetDOMStringMap.h',
            'dom/DecodedDataDocumentParser.cpp',
            'dom/DecodedDataDocumentParser.h',
            'dom/Document.cpp',
            'dom/DocumentEncodingData.cpp',
            'dom/DocumentEncodingData.h',
            'dom/DocumentFragment.cpp',
            'dom/DocumentFullscreen.cpp',
            'dom/DocumentFullscreen.h',
            'dom/DocumentInit.cpp',
            'dom/DocumentInit.h',
            'dom/DocumentLifecycle.cpp',
            'dom/DocumentLifecycle.h',
            'dom/DocumentLifecycleNotifier.cpp',
            'dom/DocumentLifecycleNotifier.h',
            'dom/DocumentLifecycleObserver.cpp',
            'dom/DocumentLifecycleObserver.h',
            'dom/DocumentMarker.cpp',
            'dom/DocumentMarkerController.cpp',
            'dom/DocumentOrderedList.cpp',
            'dom/DocumentOrderedList.h',
            'dom/DocumentOrderedMap.cpp',
            'dom/DocumentParser.cpp',
            'dom/DocumentStyleSheetCollection.cpp',
            'dom/DocumentStyleSheetCollection.h',
            'dom/DocumentStyleSheetCollector.cpp',
            'dom/DocumentStyleSheetCollector.h',
            'dom/DocumentType.cpp',
            'dom/Element.cpp',
            'dom/Element.h',
            'dom/ElementData.cpp',
            'dom/ElementData.h',
            'dom/ElementDataCache.cpp',
            'dom/ElementDataCache.h',
            'dom/ElementRareData.cpp',
            'dom/ElementRareData.h',
            'dom/ElementTraversal.h',
            'dom/EmptyNodeList.cpp',
            'dom/EmptyNodeList.h',
            'dom/ExecutionContext.cpp',
            'dom/ExecutionContext.h',
            'dom/ExecutionContextTask.h',
            'dom/FullscreenElementStack.cpp',
            'dom/FullscreenElementStack.h',
            'dom/GlobalEventHandlers.h',
            'dom/IconURL.cpp',
            'dom/IconURL.h',
            'dom/IdTargetObserver.cpp',
            'dom/IdTargetObserver.h',
            'dom/IdTargetObserverRegistry.cpp',
            'dom/IdTargetObserverRegistry.h',
            'dom/IgnoreDestructiveWriteCountIncrementer.h',
            'dom/LiveNodeList.cpp',
            'dom/LiveNodeList.h',
            'dom/LiveNodeListBase.cpp',
            'dom/LiveNodeListBase.h',
            'dom/MainThreadTaskRunner.cpp',
            'dom/MainThreadTaskRunner.h',
            'dom/MessageChannel.cpp',
            'dom/MessageChannel.h',
            'dom/MessagePort.cpp',
            'dom/Microtask.cpp',
            'dom/Microtask.h',
            'dom/MutationCallback.h',
            'dom/MutationObserver.cpp',
            'dom/MutationObserver.h',
            'dom/MutationObserverInterestGroup.cpp',
            'dom/MutationObserverInterestGroup.h',
            'dom/MutationObserverRegistration.cpp',
            'dom/MutationObserverRegistration.h',
            'dom/MutationRecord.cpp',
            'dom/MutationRecord.h',
            'dom/NameNodeList.cpp',
            'dom/NameNodeList.h',
            'dom/NamedNodeMap.cpp',
            'dom/NamedNodesCollection.cpp',
            'dom/NamedNodesCollection.h',
            'dom/Node.cpp',
            'dom/NodeChildRemovalTracker.cpp',
            'dom/NodeChildRemovalTracker.h',
            'dom/NodeFilter.cpp',
            'dom/NodeFilter.h',
            'dom/NodeFilterCondition.cpp',
            'dom/NodeFilterCondition.h',
            'dom/NodeIterator.cpp',
            'dom/NodeIterator.h',
            'dom/NodeIteratorBase.cpp',
            'dom/NodeIteratorBase.h',
            'dom/NodeRareData.cpp',
            'dom/NodeRareData.h',
            'dom/NodeRenderStyle.h',
            'dom/NodeRenderingTraversal.cpp',
            'dom/NodeRenderingTraversal.h',
            'dom/NodeTraversal.cpp',
            'dom/NodeTraversal.h',
            'dom/NodeWithIndex.h',
            'dom/Notation.h',
            'dom/ParentNode.h',
            'dom/PendingScript.cpp',
            'dom/Position.cpp',
            'dom/PositionIterator.cpp',
            'dom/PositionIterator.h',
            'dom/PresentationAttributeStyle.cpp',
            'dom/PresentationAttributeStyle.h',
            'dom/ProcessingInstruction.cpp',
            'dom/ProcessingInstruction.h',
            'dom/Promise.h',
            'dom/PseudoElement.cpp',
            'dom/QualifiedName.cpp',
            'dom/Range.cpp',
            'dom/RawDataDocumentParser.h',
            'dom/RenderTreeBuilder.cpp',
            'dom/RenderTreeBuilder.h',
            'dom/RequestAnimationFrameCallback.h',
            'dom/SandboxFlags.cpp',
            'dom/SandboxFlags.h',
            'dom/ScriptForbiddenScope.cpp',
            'dom/ScriptForbiddenScope.h',
            'dom/ScriptLoader.cpp',
            'dom/ScriptLoader.h',
            'dom/ScriptRunner.cpp',
            'dom/ScriptRunner.h',
            'dom/ScriptableDocumentParser.cpp',
            'dom/ScriptableDocumentParser.h',
            'dom/ScriptedAnimationController.cpp',
            'dom/ScriptedAnimationController.h',
            'dom/SecurityContext.cpp',
            'dom/SecurityContext.h',
            'dom/SelectorQuery.cpp',
            'dom/SelectorQuery.h',
            'dom/ShadowTreeStyleSheetCollection.cpp',
            'dom/ShadowTreeStyleSheetCollection.h',
            'dom/SimulatedClickOptions.h',
            'dom/SpaceSplitString.cpp',
            'dom/StaticNodeList.cpp',
            'dom/StaticNodeList.h',
            'dom/StringCallback.cpp',
            'dom/StringCallback.h',
            'dom/StyleElement.cpp',
            'dom/StyleElement.h',
            'dom/StyleEngine.cpp',
            'dom/StyleEngine.h',
            'dom/StyleSheetCandidate.cpp',
            'dom/StyleSheetCandidate.h',
            'dom/StyleSheetCollection.cpp',
            'dom/StyleSheetCollection.h',
            'dom/StyleSheetScopingNodeList.cpp',
            'dom/StyleSheetScopingNodeList.h',
            'dom/TagCollection.cpp',
            'dom/TagCollection.h',
            'dom/Text.cpp',
            'dom/TextLinkColors.cpp',
            'dom/TextLinkColors.h',
            'dom/Touch.cpp',
            'dom/Touch.h',
            'dom/TouchList.cpp',
            'dom/TouchList.h',
            'dom/TransformSource.h',
            'dom/TransformSourceLibxslt.cpp',
            'dom/TreeScope.cpp',
            'dom/TreeScope.h',
            'dom/TreeScopeAdopter.cpp',
            'dom/TreeScopeAdopter.h',
            'dom/TreeScopeStyleSheetCollection.cpp',
            'dom/TreeScopeStyleSheetCollection.h',
            'dom/TreeShared.h',
            'dom/TreeWalker.cpp',
            'dom/TreeWalker.h',
            'dom/UserActionElementSet.cpp',
            'dom/UserActionElementSet.h',
            'dom/ViewportDescription.cpp',
            'dom/ViewportDescription.h',
            'dom/VisitedLinkState.cpp',
            'dom/VisitedLinkState.h',
            'dom/WeakNodeMap.cpp',
            'dom/WeakNodeMap.h',
            'dom/WheelController.cpp',
            'dom/WheelController.h',
            'dom/XMLDocument.cpp',
            'dom/XMLDocument.h',
            'dom/custom/CustomElement.cpp',
            'dom/custom/CustomElement.h',
            'dom/custom/CustomElementAsyncImportMicrotaskQueue.cpp',
            'dom/custom/CustomElementAsyncImportMicrotaskQueue.h',
            'dom/custom/CustomElementCallbackDispatcher.cpp',
            'dom/custom/CustomElementCallbackDispatcher.h',
            'dom/custom/CustomElementCallbackInvocation.cpp',
            'dom/custom/CustomElementCallbackInvocation.h',
            'dom/custom/CustomElementCallbackQueue.cpp',
            'dom/custom/CustomElementCallbackQueue.h',
            'dom/custom/CustomElementDefinition.cpp',
            'dom/custom/CustomElementDefinition.h',
            'dom/custom/CustomElementDescriptor.h',
            'dom/custom/CustomElementDescriptorHash.h',
            'dom/custom/CustomElementException.cpp',
            'dom/custom/CustomElementException.h',
            'dom/custom/CustomElementLifecycleCallbacks.h',
            'dom/custom/CustomElementMicrotaskDispatcher.cpp',
            'dom/custom/CustomElementMicrotaskDispatcher.h',
            'dom/custom/CustomElementMicrotaskImportStep.cpp',
            'dom/custom/CustomElementMicrotaskImportStep.h',
            'dom/custom/CustomElementMicrotaskQueue.cpp',
            'dom/custom/CustomElementMicrotaskQueue.h',
            'dom/custom/CustomElementMicrotaskResolutionStep.cpp',
            'dom/custom/CustomElementMicrotaskResolutionStep.h',
            'dom/custom/CustomElementMicrotaskStep.h',
            'dom/custom/CustomElementObserver.cpp',
            'dom/custom/CustomElementObserver.h',
            'dom/custom/CustomElementProcessingStep.h',
            'dom/custom/CustomElementRegistrationContext.cpp',
            'dom/custom/CustomElementRegistrationContext.h',
            'dom/custom/CustomElementRegistry.cpp',
            'dom/custom/CustomElementRegistry.h',
            'dom/custom/CustomElementScheduler.cpp',
            'dom/custom/CustomElementScheduler.h',
            'dom/custom/CustomElementUpgradeCandidateMap.cpp',
            'dom/custom/CustomElementUpgradeCandidateMap.h',
            'dom/shadow/ComposedTreeWalker.cpp',
            'dom/shadow/ComposedTreeWalker.h',
            'dom/shadow/ContentDistribution.cpp',
            'dom/shadow/ContentDistribution.h',
            'dom/shadow/ElementShadow.cpp',
            'dom/shadow/ElementShadow.h',
            'dom/shadow/InsertionPoint.cpp',
            'dom/shadow/InsertionPoint.h',
            'dom/shadow/SelectRuleFeatureSet.cpp',
            'dom/shadow/SelectRuleFeatureSet.h',
            'dom/shadow/ShadowRoot.cpp',
            'dom/shadow/ShadowRoot.h',
            'dom/shadow/ShadowRootRareData.h',
            'events/AnimationPlayerEvent.cpp',
            'events/AnimationPlayerEvent.h',
            'events/ApplicationCacheErrorEvent.cpp',
            'events/ApplicationCacheErrorEvent.h',
            'events/AutocompleteErrorEvent.h',
            'events/BeforeTextInsertedEvent.cpp',
            'events/BeforeTextInsertedEvent.h',
            'events/BeforeUnloadEvent.cpp',
            'events/BeforeUnloadEvent.h',
            'events/ClipboardEvent.cpp',
            'events/ClipboardEvent.h',
            'events/CompositionEvent.cpp',
            'events/CompositionEvent.h',
            'events/CustomEvent.cpp',
            'events/CustomEvent.h',
            'events/DOMWindowEventQueue.cpp',
            'events/DOMWindowEventQueue.h',
            'events/ErrorEvent.cpp',
            'events/ErrorEvent.h',
            'events/Event.cpp',
            'events/EventDispatchMediator.cpp',
            'events/EventDispatchMediator.h',
            'events/EventDispatcher.cpp',
            'events/EventDispatcher.h',
            'events/EventListenerMap.cpp',
            'events/EventPath.cpp',
            'events/EventPath.h',
            'events/EventQueue.h',
            'events/EventSender.h',
            'events/EventTarget.cpp',
            'events/FocusEvent.cpp',
            'events/FocusEvent.h',
            'events/GenericEventQueue.cpp',
            'events/GenericEventQueue.h',
            'events/GestureEvent.cpp',
            'events/GestureEvent.h',
            'events/HashChangeEvent.h',
            'events/KeyboardEvent.cpp',
            'events/MessageEvent.cpp',
            'events/MessageEvent.h',
            'events/MouseEvent.cpp',
            'events/MouseRelatedEvent.cpp',
            'events/MutationEvent.cpp',
            'events/MutationEvent.h',
            'events/NavigatorEvents.cpp',
            'events/NavigatorEvents.h',
            'events/NodeEventContext.cpp',
            'events/NodeEventContext.h',
            'events/OverflowEvent.cpp',
            'events/OverflowEvent.h',
            'events/PageTransitionEvent.cpp',
            'events/PageTransitionEvent.h',
            'events/PopStateEvent.cpp',
            'events/PopStateEvent.h',
            'events/ProgressEvent.cpp',
            'events/ProgressEvent.h',
            'events/ResourceProgressEvent.cpp',
            'events/ResourceProgressEvent.h',
            'events/ScopedEventQueue.cpp',
            'events/ScopedEventQueue.h',
            'events/SecurityPolicyViolationEvent.h',
            'events/TextEvent.cpp',
            'events/TextEvent.h',
            'events/ThreadLocalEventNames.h',
            'events/TouchEvent.cpp',
            'events/TouchEvent.h',
            'events/TouchEventContext.cpp',
            'events/TouchEventContext.h',
            'events/TransitionEvent.cpp',
            'events/TransitionEvent.h',
            'events/TreeScopeEventContext.cpp',
            'events/TreeScopeEventContext.h',
            'events/UIEvent.cpp',
            'events/UIEventWithKeyState.cpp',
            'events/WebKitAnimationEvent.cpp',
            'events/WebKitAnimationEvent.h',
            'events/WheelEvent.cpp',
            'events/WheelEvent.h',
            'events/WindowEventContext.cpp',
            'events/WindowEventContext.h',
        ],
        'webcore_html_files': [
            'html/ClassList.cpp',
            'html/ClassList.h',
            'html/DOMFormData.cpp',
            'html/DOMFormData.h',
            'html/FormAssociatedElement.cpp',
            'html/FormDataList.cpp',
            'html/FormDataList.h',
            'html/HTMLAllCollection.cpp',
            'html/HTMLAllCollection.h',
            'html/HTMLAnchorElement.cpp',
            'html/HTMLAnchorElement.h',
            'html/HTMLAppletElement.cpp',
            'html/HTMLAreaElement.cpp',
            'html/HTMLAreaElement.h',
            'html/HTMLAudioElement.cpp',
            'html/HTMLAudioElement.h',
            'html/HTMLBDIElement.h',
            'html/HTMLBRElement.cpp',
            'html/HTMLBRElement.h',
            'html/HTMLBaseElement.cpp',
            'html/HTMLBaseElement.h',
            'html/HTMLBodyElement.cpp',
            'html/HTMLBodyElement.h',
            'html/HTMLButtonElement.cpp',
            'html/HTMLButtonElement.h',
            'html/HTMLCanvasElement.cpp',
            'html/HTMLCanvasElement.h',
            'html/HTMLCollection.cpp',
            'html/HTMLContentElement.cpp',
            'html/HTMLContentElement.h',
            'html/HTMLDListElement.cpp',
            'html/HTMLDListElement.h',
            'html/HTMLDataListElement.cpp',
            'html/HTMLDataListElement.h',
            'html/HTMLDetailsElement.cpp',
            'html/HTMLDetailsElement.h',
            'html/HTMLDialogElement.cpp',
            'html/HTMLDialogElement.h',
            'html/HTMLDimension.cpp',
            'html/HTMLDimension.h',
            'html/HTMLDirectoryElement.cpp',
            'html/HTMLDirectoryElement.h',
            'html/HTMLDivElement.cpp',
            'html/HTMLDivElement.h',
            'html/HTMLDocument.cpp',
            'html/HTMLElement.cpp',
            'html/HTMLEmbedElement.cpp',
            'html/HTMLEmbedElement.h',
            'html/HTMLFieldSetElement.cpp',
            'html/HTMLFieldSetElement.h',
            'html/HTMLFontElement.cpp',
            'html/HTMLFontElement.h',
            'html/HTMLFormControlElement.cpp',
            'html/HTMLFormControlElementWithState.cpp',
            'html/HTMLFormControlsCollection.cpp',
            'html/HTMLFormControlsCollection.h',
            'html/HTMLFormElement.cpp',
            'html/HTMLFrameElement.cpp',
            'html/HTMLFrameElementBase.cpp',
            'html/HTMLFrameOwnerElement.cpp',
            'html/HTMLFrameSetElement.cpp',
            'html/HTMLFrameSetElement.h',
            'html/HTMLHRElement.cpp',
            'html/HTMLHRElement.h',
            'html/HTMLHeadElement.cpp',
            'html/HTMLHeadingElement.cpp',
            'html/HTMLHeadingElement.h',
            'html/HTMLHtmlElement.cpp',
            'html/HTMLHtmlElement.h',
            'html/HTMLIFrameElement.cpp',
            'html/HTMLImageElement.cpp',
            'html/HTMLImageElement.h',
            'html/HTMLImageLoader.cpp',
            'html/HTMLImageLoader.h',
            'html/HTMLInputElement.cpp',
            'html/HTMLKeygenElement.cpp',
            'html/HTMLKeygenElement.h',
            'html/HTMLLIElement.cpp',
            'html/HTMLLIElement.h',
            'html/HTMLLabelElement.cpp',
            'html/HTMLLabelElement.h',
            'html/HTMLLegendElement.cpp',
            'html/HTMLLegendElement.h',
            'html/HTMLLinkElement.cpp',
            'html/HTMLLinkElement.h',
            'html/HTMLMapElement.cpp',
            'html/HTMLMapElement.h',
            'html/HTMLMarqueeElement.cpp',
            'html/HTMLMarqueeElement.h',
            'html/HTMLMediaElement.cpp',
            'html/HTMLMediaSource.cpp',
            'html/HTMLMediaSource.h',
            'html/HTMLMenuElement.cpp',
            'html/HTMLMenuElement.h',
            'html/HTMLMetaElement.h',
            'html/HTMLMeterElement.cpp',
            'html/HTMLMeterElement.h',
            'html/HTMLModElement.cpp',
            'html/HTMLModElement.h',
            'html/HTMLNameCollection.cpp',
            'html/HTMLNameCollection.h',
            'html/HTMLNoEmbedElement.cpp',
            'html/HTMLNoEmbedElement.h',
            'html/HTMLNoScriptElement.cpp',
            'html/HTMLNoScriptElement.h',
            'html/HTMLOListElement.cpp',
            'html/HTMLOListElement.h',
            'html/HTMLObjectElement.cpp',
            'html/HTMLObjectElement.h',
            'html/HTMLOptGroupElement.cpp',
            'html/HTMLOptGroupElement.h',
            'html/HTMLOptionElement.cpp',
            'html/HTMLOptionElement.h',
            'html/HTMLOptionsCollection.cpp',
            'html/HTMLOptionsCollection.h',
            'html/HTMLOutputElement.cpp',
            'html/HTMLOutputElement.h',
            'html/HTMLParagraphElement.cpp',
            'html/HTMLParagraphElement.h',
            'html/HTMLParamElement.cpp',
            'html/HTMLParamElement.h',
            'html/HTMLPictureElement.cpp',
            'html/HTMLPlugInElement.cpp',
            'html/HTMLPlugInElement.h',
            'html/HTMLPreElement.cpp',
            'html/HTMLPreElement.h',
            'html/HTMLProgressElement.cpp',
            'html/HTMLProgressElement.h',
            'html/HTMLQuoteElement.cpp',
            'html/HTMLQuoteElement.h',
            'html/HTMLRTElement.cpp',
            'html/HTMLRTElement.h',
            'html/HTMLRubyElement.cpp',
            'html/HTMLRubyElement.h',
            'html/HTMLScriptElement.cpp',
            'html/HTMLScriptElement.h',
            'html/HTMLSelectElement.cpp',
            'html/HTMLSelectElement.h',
            'html/HTMLSelectElementWin.cpp',
            'html/HTMLShadowElement.cpp',
            'html/HTMLShadowElement.h',
            'html/HTMLSourceElement.cpp',
            'html/HTMLSourceElement.h',
            'html/HTMLSpanElement.cpp',
            'html/HTMLSpanElement.h',
            'html/HTMLStyleElement.cpp',
            'html/HTMLStyleElement.h',
            'html/HTMLSummaryElement.cpp',
            'html/HTMLSummaryElement.h',
            'html/HTMLTableCaptionElement.cpp',
            'html/HTMLTableCaptionElement.h',
            'html/HTMLTableCellElement.cpp',
            'html/HTMLTableColElement.cpp',
            'html/HTMLTableColElement.h',
            'html/HTMLTableElement.cpp',
            'html/HTMLTableElement.h',
            'html/HTMLTablePartElement.cpp',
            'html/HTMLTableRowElement.cpp',
            'html/HTMLTableRowElement.h',
            'html/HTMLTableRowsCollection.cpp',
            'html/HTMLTableRowsCollection.h',
            'html/HTMLTableSectionElement.cpp',
            'html/HTMLTableSectionElement.h',
            'html/HTMLTemplateElement.cpp',
            'html/HTMLTemplateElement.h',
            'html/HTMLTextAreaElement.cpp',
            'html/HTMLTextFormControlElement.cpp',
            'html/HTMLTitleElement.cpp',
            'html/HTMLTitleElement.h',
            'html/HTMLTrackElement.cpp',
            'html/HTMLTrackElement.h',
            'html/HTMLUListElement.cpp',
            'html/HTMLUListElement.h',
            'html/HTMLUnknownElement.h',
            'html/HTMLVideoElement.cpp',
            'html/HTMLVideoElement.h',
            'html/HTMLViewSourceDocument.cpp',
            'html/HTMLViewSourceDocument.h',
            'html/HTMLWBRElement.cpp',
            'html/HTMLWBRElement.h',
            'html/ImageData.cpp',
            'html/ImageData.h',
            'html/ImageDocument.cpp',
            'html/ImageDocument.h',
            'html/LabelableElement.cpp',
            'html/LabelsNodeList.cpp',
            'html/LabelsNodeList.h',
            'html/LinkManifest.cpp',
            'html/LinkManifest.h',
            'html/LinkRelAttribute.cpp',
            'html/LinkRelAttribute.h',
            'html/LinkResource.cpp',
            'html/LinkResource.h',
            'html/MediaController.cpp',
            'html/MediaController.h',
            'html/MediaDocument.cpp',
            'html/MediaDocument.h',
            'html/MediaError.h',
            'html/MediaFragmentURIParser.cpp',
            'html/MediaFragmentURIParser.h',
            'html/MediaKeyError.h',
            'html/MediaKeyEvent.cpp',
            'html/MediaKeyEvent.h',
            'html/PluginDocument.cpp',
            'html/PluginDocument.h',
            'html/PublicURLManager.cpp',
            'html/PublicURLManager.h',
            'html/RadioNodeList.cpp',
            'html/RadioNodeList.h',
            'html/TextDocument.cpp',
            'html/TextDocument.h',
            'html/TextMetrics.h',
            'html/TimeRanges.cpp',
            'html/TimeRanges.h',
            'html/URLRegistry.h',
            'html/ValidityState.cpp',
            'html/ValidityState.h',
            'html/canvas/ANGLEInstancedArrays.cpp',
            'html/canvas/ANGLEInstancedArrays.h',
            'html/canvas/Canvas2DContextAttributes.cpp',
            'html/canvas/Canvas2DContextAttributes.h',
            'html/canvas/CanvasContextAttributes.cpp',
            'html/canvas/CanvasContextAttributes.h',
            'html/canvas/CanvasGradient.cpp',
            'html/canvas/CanvasGradient.h',
            'html/canvas/CanvasImageSource.h',
            'html/canvas/CanvasPathMethods.cpp',
            'html/canvas/CanvasPathMethods.h',
            'html/canvas/CanvasPattern.cpp',
            'html/canvas/CanvasPattern.h',
            'html/canvas/CanvasRenderingContext.cpp',
            'html/canvas/CanvasRenderingContext.h',
            'html/canvas/CanvasRenderingContext2D.cpp',
            'html/canvas/CanvasRenderingContext2D.h',
            'html/canvas/CanvasStyle.cpp',
            'html/canvas/CanvasStyle.h',
            'html/canvas/DataView.cpp',
            'html/canvas/DataView.h',
            'html/canvas/EXTFragDepth.cpp',
            'html/canvas/EXTFragDepth.h',
            'html/canvas/EXTShaderTextureLOD.cpp',
            'html/canvas/EXTShaderTextureLOD.h',
            'html/canvas/EXTTextureFilterAnisotropic.cpp',
            'html/canvas/EXTTextureFilterAnisotropic.h',
            'html/canvas/OESElementIndexUint.cpp',
            'html/canvas/OESElementIndexUint.h',
            'html/canvas/OESStandardDerivatives.cpp',
            'html/canvas/OESStandardDerivatives.h',
            'html/canvas/OESTextureFloat.cpp',
            'html/canvas/OESTextureFloat.h',
            'html/canvas/OESTextureFloatLinear.cpp',
            'html/canvas/OESTextureFloatLinear.h',
            'html/canvas/OESTextureHalfFloat.cpp',
            'html/canvas/OESTextureHalfFloat.h',
            'html/canvas/OESTextureHalfFloatLinear.cpp',
            'html/canvas/OESTextureHalfFloatLinear.h',
            'html/canvas/OESVertexArrayObject.cpp',
            'html/canvas/OESVertexArrayObject.h',
            'html/canvas/Path2D.h',
            'html/canvas/WebGLActiveInfo.h',
            'html/canvas/WebGLBuffer.cpp',
            'html/canvas/WebGLBuffer.h',
            'html/canvas/WebGLCompressedTextureATC.cpp',
            'html/canvas/WebGLCompressedTextureATC.h',
            'html/canvas/WebGLCompressedTextureETC1.cpp',
            'html/canvas/WebGLCompressedTextureETC1.h',
            'html/canvas/WebGLCompressedTexturePVRTC.cpp',
            'html/canvas/WebGLCompressedTexturePVRTC.h',
            'html/canvas/WebGLCompressedTextureS3TC.cpp',
            'html/canvas/WebGLCompressedTextureS3TC.h',
            'html/canvas/WebGLContextAttributes.cpp',
            'html/canvas/WebGLContextAttributes.h',
            'html/canvas/WebGLContextEvent.cpp',
            'html/canvas/WebGLContextEvent.h',
            'html/canvas/WebGLContextGroup.cpp',
            'html/canvas/WebGLContextGroup.h',
            'html/canvas/WebGLContextObject.cpp',
            'html/canvas/WebGLContextObject.h',
            'html/canvas/WebGLDebugRendererInfo.cpp',
            'html/canvas/WebGLDebugRendererInfo.h',
            'html/canvas/WebGLDebugShaders.cpp',
            'html/canvas/WebGLDebugShaders.h',
            'html/canvas/WebGLDepthTexture.cpp',
            'html/canvas/WebGLDepthTexture.h',
            'html/canvas/WebGLDrawBuffers.cpp',
            'html/canvas/WebGLDrawBuffers.h',
            'html/canvas/WebGLExtension.cpp',
            'html/canvas/WebGLExtension.h',
            'html/canvas/WebGLExtensionName.h',
            'html/canvas/WebGLFramebuffer.cpp',
            'html/canvas/WebGLFramebuffer.h',
            'html/canvas/WebGLGetInfo.cpp',
            'html/canvas/WebGLGetInfo.h',
            'html/canvas/WebGLLoseContext.cpp',
            'html/canvas/WebGLLoseContext.h',
            'html/canvas/WebGLObject.cpp',
            'html/canvas/WebGLObject.h',
            'html/canvas/WebGLProgram.cpp',
            'html/canvas/WebGLProgram.h',
            'html/canvas/WebGLRenderbuffer.cpp',
            'html/canvas/WebGLRenderbuffer.h',
            'html/canvas/WebGLRenderingContext.cpp',
            'html/canvas/WebGLRenderingContext.h',
            'html/canvas/WebGLRenderingContextBase.cpp',
            'html/canvas/WebGLRenderingContextBase.h',
            'html/canvas/WebGLShader.cpp',
            'html/canvas/WebGLShader.h',
            'html/canvas/WebGLShaderPrecisionFormat.cpp',
            'html/canvas/WebGLShaderPrecisionFormat.h',
            'html/canvas/WebGLSharedObject.cpp',
            'html/canvas/WebGLSharedObject.h',
            'html/canvas/WebGLTexture.cpp',
            'html/canvas/WebGLTexture.h',
            'html/canvas/WebGLUniformLocation.cpp',
            'html/canvas/WebGLUniformLocation.h',
            'html/canvas/WebGLVertexArrayObjectOES.cpp',
            'html/canvas/WebGLVertexArrayObjectOES.h',
            'html/forms/BaseButtonInputType.cpp',
            'html/forms/BaseButtonInputType.h',
            'html/forms/BaseCheckableInputType.cpp',
            'html/forms/BaseCheckableInputType.h',
            'html/forms/BaseChooserOnlyDateAndTimeInputType.cpp',
            'html/forms/BaseChooserOnlyDateAndTimeInputType.h',
            'html/forms/BaseClickableWithKeyInputType.cpp',
            'html/forms/BaseClickableWithKeyInputType.h',
            'html/forms/BaseDateAndTimeInputType.cpp',
            'html/forms/BaseDateAndTimeInputType.h',
            'html/forms/BaseMultipleFieldsDateAndTimeInputType.cpp',
            'html/forms/BaseMultipleFieldsDateAndTimeInputType.h',
            'html/forms/BaseTextInputType.cpp',
            'html/forms/BaseTextInputType.h',
            'html/forms/ButtonInputType.cpp',
            'html/forms/ButtonInputType.h',
            'html/forms/CheckboxInputType.cpp',
            'html/forms/CheckboxInputType.h',
            'html/forms/ColorInputType.cpp',
            'html/forms/ColorInputType.h',
            'html/forms/DateInputType.cpp',
            'html/forms/DateInputType.h',
            'html/forms/DateTimeFieldsState.cpp',
            'html/forms/DateTimeFieldsState.h',
            'html/forms/DateTimeLocalInputType.cpp',
            'html/forms/DateTimeLocalInputType.h',
            'html/forms/EmailInputType.cpp',
            'html/forms/EmailInputType.h',
            'html/forms/FileInputType.cpp',
            'html/forms/FileInputType.h',
            'html/forms/FormController.cpp',
            'html/forms/FormController.h',
            'html/forms/HiddenInputType.cpp',
            'html/forms/HiddenInputType.h',
            'html/forms/ImageInputType.cpp',
            'html/forms/ImageInputType.h',
            'html/forms/InputType.cpp',
            'html/forms/InputType.h',
            'html/forms/InputTypeView.cpp',
            'html/forms/InputTypeView.h',
            'html/forms/MonthInputType.cpp',
            'html/forms/MonthInputType.h',
            'html/forms/NumberInputType.cpp',
            'html/forms/NumberInputType.h',
            'html/forms/PasswordInputType.cpp',
            'html/forms/PasswordInputType.h',
            'html/forms/RadioButtonGroupScope.cpp',
            'html/forms/RadioButtonGroupScope.h',
            'html/forms/RadioInputType.cpp',
            'html/forms/RadioInputType.h',
            'html/forms/RangeInputType.cpp',
            'html/forms/RangeInputType.h',
            'html/forms/ResetInputType.cpp',
            'html/forms/ResetInputType.h',
            'html/forms/SearchInputType.cpp',
            'html/forms/SearchInputType.h',
            'html/forms/StepRange.cpp',
            'html/forms/StepRange.h',
            'html/forms/SubmitInputType.cpp',
            'html/forms/SubmitInputType.h',
            'html/forms/TelephoneInputType.cpp',
            'html/forms/TelephoneInputType.h',
            'html/forms/TextFieldInputType.cpp',
            'html/forms/TextFieldInputType.h',
            'html/forms/TextInputType.cpp',
            'html/forms/TextInputType.h',
            'html/forms/TimeInputType.cpp',
            'html/forms/TimeInputType.h',
            'html/forms/TypeAhead.cpp',
            'html/forms/TypeAhead.h',
            'html/forms/URLInputType.cpp',
            'html/forms/URLInputType.h',
            'html/forms/ValidationMessage.cpp',
            'html/forms/ValidationMessage.h',
            'html/forms/WeekInputType.cpp',
            'html/forms/WeekInputType.h',
            'html/ime/InputMethodContext.cpp',
            'html/ime/InputMethodContext.h',
            'html/imports/HTMLImport.cpp',
            'html/imports/HTMLImport.h',
            'html/imports/HTMLImportChild.cpp',
            'html/imports/HTMLImportChild.h',
            'html/imports/HTMLImportChildClient.h',
            'html/imports/HTMLImportLoader.cpp',
            'html/imports/HTMLImportLoader.h',
            'html/imports/HTMLImportState.h',
            'html/imports/HTMLImportStateResolver.cpp',
            'html/imports/HTMLImportStateResolver.h',
            'html/imports/HTMLImportsController.cpp',
            'html/imports/HTMLImportsController.h',
            'html/imports/LinkImport.cpp',
            'html/imports/LinkImport.h',
            'html/parser/AtomicHTMLToken.h',
            'html/parser/BackgroundHTMLInputStream.cpp',
            'html/parser/BackgroundHTMLInputStream.h',
            'html/parser/BackgroundHTMLParser.cpp',
            'html/parser/BackgroundHTMLParser.h',
            'html/parser/CSSPreloadScanner.cpp',
            'html/parser/CSSPreloadScanner.h',
            'html/parser/CompactHTMLToken.cpp',
            'html/parser/CompactHTMLToken.h',
            'html/parser/HTMLConstructionSite.cpp',
            'html/parser/HTMLConstructionSite.h',
            'html/parser/HTMLDocumentParser.cpp',
            'html/parser/HTMLDocumentParser.h',
            'html/parser/HTMLElementStack.cpp',
            'html/parser/HTMLElementStack.h',
            'html/parser/HTMLEntityParser.cpp',
            'html/parser/HTMLEntityParser.h',
            'html/parser/HTMLEntitySearch.cpp',
            'html/parser/HTMLEntitySearch.h',
            'html/parser/HTMLEntityTable.h',
            'html/parser/HTMLFormattingElementList.cpp',
            'html/parser/HTMLFormattingElementList.h',
            'html/parser/HTMLInputStream.h',
            'html/parser/HTMLMetaCharsetParser.cpp',
            'html/parser/HTMLMetaCharsetParser.h',
            'html/parser/HTMLParserIdioms.cpp',
            'html/parser/HTMLParserOptions.cpp',
            'html/parser/HTMLParserOptions.h',
            'html/parser/HTMLParserScheduler.cpp',
            'html/parser/HTMLParserScheduler.h',
            'html/parser/HTMLParserThread.cpp',
            'html/parser/HTMLParserThread.h',
            'html/parser/HTMLPreloadScanner.cpp',
            'html/parser/HTMLPreloadScanner.h',
            'html/parser/HTMLResourcePreloader.cpp',
            'html/parser/HTMLResourcePreloader.h',
            'html/parser/HTMLScriptRunner.cpp',
            'html/parser/HTMLScriptRunner.h',
            'html/parser/HTMLScriptRunnerHost.h',
            'html/parser/HTMLSourceTracker.cpp',
            'html/parser/HTMLSourceTracker.h',
            'html/parser/HTMLSrcsetParser.cpp',
            'html/parser/HTMLSrcsetParser.h',
            'html/parser/HTMLStackItem.h',
            'html/parser/HTMLToken.h',
            'html/parser/HTMLTokenizer.cpp',
            'html/parser/HTMLTokenizer.h',
            'html/parser/HTMLTreeBuilder.cpp',
            'html/parser/HTMLTreeBuilder.h',
            'html/parser/HTMLTreeBuilderSimulator.cpp',
            'html/parser/HTMLTreeBuilderSimulator.h',
            'html/parser/HTMLViewSourceParser.cpp',
            'html/parser/HTMLViewSourceParser.h',
            'html/parser/InputStreamPreprocessor.h',
            'html/parser/NestingLevelIncrementer.h',
            'html/parser/TextDocumentParser.cpp',
            'html/parser/TextDocumentParser.h',
            'html/parser/TextResourceDecoder.cpp',
            'html/parser/TextResourceDecoder.h',
            'html/parser/XSSAuditor.cpp',
            'html/parser/XSSAuditor.h',
            'html/parser/XSSAuditorDelegate.cpp',
            'html/parser/XSSAuditorDelegate.h',
            'html/shadow/ClearButtonElement.cpp',
            'html/shadow/ClearButtonElement.h',
            'html/shadow/DateTimeEditElement.cpp',
            'html/shadow/DateTimeEditElement.h',
            'html/shadow/DateTimeFieldElement.cpp',
            'html/shadow/DateTimeFieldElement.h',
            'html/shadow/DateTimeFieldElements.cpp',
            'html/shadow/DateTimeFieldElements.h',
            'html/shadow/DateTimeNumericFieldElement.cpp',
            'html/shadow/DateTimeNumericFieldElement.h',
            'html/shadow/DateTimeSymbolicFieldElement.cpp',
            'html/shadow/DateTimeSymbolicFieldElement.h',
            'html/shadow/DetailsMarkerControl.cpp',
            'html/shadow/DetailsMarkerControl.h',
            'html/shadow/MediaControlElementTypes.cpp',
            'html/shadow/MediaControlElementTypes.h',
            'html/shadow/MediaControlElements.cpp',
            'html/shadow/MediaControlElements.h',
            'html/shadow/MediaControls.cpp',
            'html/shadow/MediaControls.h',
            'html/shadow/MeterShadowElement.cpp',
            'html/shadow/MeterShadowElement.h',
            'html/shadow/PasswordGeneratorButtonElement.cpp',
            'html/shadow/PasswordGeneratorButtonElement.h',
            'html/shadow/PickerIndicatorElement.cpp',
            'html/shadow/PickerIndicatorElement.h',
            'html/shadow/ProgressShadowElement.cpp',
            'html/shadow/ProgressShadowElement.h',
            'html/shadow/ShadowElementNames.cpp',
            'html/shadow/ShadowElementNames.h',
            'html/shadow/SliderThumbElement.cpp',
            'html/shadow/SliderThumbElement.h',
            'html/shadow/SpinButtonElement.cpp',
            'html/shadow/SpinButtonElement.h',
            'html/shadow/TextControlInnerElements.cpp',
            'html/shadow/TextControlInnerElements.h',
            'html/track/InbandTextTrack.cpp',
            'html/track/InbandTextTrack.h',
            'html/track/LoadableTextTrack.cpp',
            'html/track/LoadableTextTrack.h',
            'html/track/TextTrack.cpp',
            'html/track/TextTrack.h',
            'html/track/TextTrackCue.cpp',
            'html/track/TextTrackCue.h',
            'html/track/TextTrackCueList.cpp',
            'html/track/TextTrackCueList.h',
            'html/track/TextTrackList.cpp',
            'html/track/TrackBase.cpp',
            'html/track/TrackBase.h',
            'html/track/TrackEvent.cpp',
            'html/track/vtt/BufferedLineReader.cpp',
            'html/track/vtt/BufferedLineReader.h',
            'html/track/vtt/VTTCue.cpp',
            'html/track/vtt/VTTCue.h',
            'html/track/vtt/VTTElement.cpp',
            'html/track/vtt/VTTElement.h',
            'html/track/vtt/VTTParser.cpp',
            'html/track/vtt/VTTParser.h',
            'html/track/vtt/VTTRegion.cpp',
            'html/track/vtt/VTTRegion.h',
            'html/track/vtt/VTTRegionList.cpp',
            'html/track/vtt/VTTRegionList.h',
            'html/track/vtt/VTTScanner.cpp',
            'html/track/vtt/VTTScanner.h',
            'html/track/vtt/VTTToken.h',
            'html/track/vtt/VTTTokenizer.cpp',
            'html/track/vtt/VTTTokenizer.h',
        ],
        'webcore_svg_files': [
            'rendering/style/SVGRenderStyle.cpp',
            'rendering/style/SVGRenderStyleDefs.cpp',
            'rendering/svg/ReferenceFilterBuilder.cpp',
            'rendering/svg/ReferenceFilterBuilder.h',
            'rendering/svg/RenderSVGBlock.cpp',
            'rendering/svg/RenderSVGBlock.h',
            'rendering/svg/RenderSVGContainer.cpp',
            'rendering/svg/RenderSVGContainer.h',
            'rendering/svg/RenderSVGEllipse.cpp',
            'rendering/svg/RenderSVGEllipse.h',
            'rendering/svg/RenderSVGForeignObject.cpp',
            'rendering/svg/RenderSVGForeignObject.h',
            'rendering/svg/RenderSVGGradientStop.cpp',
            'rendering/svg/RenderSVGGradientStop.h',
            'rendering/svg/RenderSVGHiddenContainer.cpp',
            'rendering/svg/RenderSVGHiddenContainer.h',
            'rendering/svg/RenderSVGImage.cpp',
            'rendering/svg/RenderSVGImage.h',
            'rendering/svg/RenderSVGInline.cpp',
            'rendering/svg/RenderSVGInline.h',
            'rendering/svg/RenderSVGInlineText.cpp',
            'rendering/svg/RenderSVGInlineText.h',
            'rendering/svg/RenderSVGModelObject.cpp',
            'rendering/svg/RenderSVGModelObject.h',
            'rendering/svg/RenderSVGPath.cpp',
            'rendering/svg/RenderSVGPath.h',
            'rendering/svg/RenderSVGRect.cpp',
            'rendering/svg/RenderSVGRect.h',
            'rendering/svg/RenderSVGResource.cpp',
            'rendering/svg/RenderSVGResource.h',
            'rendering/svg/RenderSVGResourceClipper.cpp',
            'rendering/svg/RenderSVGResourceClipper.h',
            'rendering/svg/RenderSVGResourceContainer.cpp',
            'rendering/svg/RenderSVGResourceContainer.h',
            'rendering/svg/RenderSVGResourceFilter.cpp',
            'rendering/svg/RenderSVGResourceFilter.h',
            'rendering/svg/RenderSVGResourceFilterPrimitive.cpp',
            'rendering/svg/RenderSVGResourceFilterPrimitive.h',
            'rendering/svg/RenderSVGResourceGradient.cpp',
            'rendering/svg/RenderSVGResourceGradient.h',
            'rendering/svg/RenderSVGResourceLinearGradient.cpp',
            'rendering/svg/RenderSVGResourceLinearGradient.h',
            'rendering/svg/RenderSVGResourceMarker.cpp',
            'rendering/svg/RenderSVGResourceMarker.h',
            'rendering/svg/RenderSVGResourceMasker.cpp',
            'rendering/svg/RenderSVGResourceMasker.h',
            'rendering/svg/RenderSVGResourcePattern.cpp',
            'rendering/svg/RenderSVGResourcePattern.h',
            'rendering/svg/RenderSVGResourceRadialGradient.cpp',
            'rendering/svg/RenderSVGResourceRadialGradient.h',
            'rendering/svg/RenderSVGResourceSolidColor.cpp',
            'rendering/svg/RenderSVGResourceSolidColor.h',
            'rendering/svg/RenderSVGRoot.cpp',
            'rendering/svg/RenderSVGRoot.h',
            'rendering/svg/RenderSVGShape.cpp',
            'rendering/svg/RenderSVGShape.h',
            'rendering/svg/RenderSVGTSpan.cpp',
            'rendering/svg/RenderSVGTSpan.h',
            'rendering/svg/RenderSVGText.cpp',
            'rendering/svg/RenderSVGText.h',
            'rendering/svg/RenderSVGTextPath.cpp',
            'rendering/svg/RenderSVGTextPath.h',
            'rendering/svg/RenderSVGTransformableContainer.cpp',
            'rendering/svg/RenderSVGTransformableContainer.h',
            'rendering/svg/RenderSVGViewportContainer.cpp',
            'rendering/svg/RenderSVGViewportContainer.h',
            'rendering/svg/SVGInlineFlowBox.cpp',
            'rendering/svg/SVGInlineFlowBox.h',
            'rendering/svg/SVGInlineTextBox.cpp',
            'rendering/svg/SVGInlineTextBox.h',
            'rendering/svg/SVGMarkerData.h',
            'rendering/svg/SVGPathData.cpp',
            'rendering/svg/SVGPathData.h',
            'rendering/svg/SVGRenderSupport.cpp',
            'rendering/svg/SVGRenderSupport.h',
            'rendering/svg/SVGRenderTreeAsText.cpp',
            'rendering/svg/SVGRenderTreeAsText.h',
            'rendering/svg/SVGRenderingContext.cpp',
            'rendering/svg/SVGRenderingContext.h',
            'rendering/svg/SVGResources.cpp',
            'rendering/svg/SVGResources.h',
            'rendering/svg/SVGResourcesCache.cpp',
            'rendering/svg/SVGResourcesCycleSolver.cpp',
            'rendering/svg/SVGResourcesCycleSolver.h',
            'rendering/svg/SVGRootInlineBox.cpp',
            'rendering/svg/SVGRootInlineBox.h',
            'rendering/svg/SVGTextChunk.cpp',
            'rendering/svg/SVGTextChunk.h',
            'rendering/svg/SVGTextChunkBuilder.cpp',
            'rendering/svg/SVGTextChunkBuilder.h',
            'rendering/svg/SVGTextFragment.h',
            'rendering/svg/SVGTextLayoutAttributes.cpp',
            'rendering/svg/SVGTextLayoutAttributes.h',
            'rendering/svg/SVGTextLayoutAttributesBuilder.cpp',
            'rendering/svg/SVGTextLayoutAttributesBuilder.h',
            'rendering/svg/SVGTextLayoutEngine.cpp',
            'rendering/svg/SVGTextLayoutEngine.h',
            'rendering/svg/SVGTextLayoutEngineBaseline.cpp',
            'rendering/svg/SVGTextLayoutEngineBaseline.h',
            'rendering/svg/SVGTextLayoutEngineSpacing.cpp',
            'rendering/svg/SVGTextLayoutEngineSpacing.h',
            'rendering/svg/SVGTextMetrics.cpp',
            'rendering/svg/SVGTextMetrics.h',
            'rendering/svg/SVGTextMetricsBuilder.cpp',
            'rendering/svg/SVGTextMetricsBuilder.h',
            'rendering/svg/SVGTextQuery.cpp',
            'rendering/svg/SVGTextQuery.h',
            'rendering/svg/SVGTextRunRenderingContext.cpp',
            'rendering/svg/SVGTextRunRenderingContext.h',
            'svg/ColorDistance.cpp',
            'svg/ColorDistance.h',
            'svg/GradientAttributes.h',
            'svg/LinearGradientAttributes.h',
            'svg/PatternAttributes.h',
            'svg/RadialGradientAttributes.h',
            'svg/SVGAElement.cpp',
            'svg/SVGAElement.h',
            'svg/SVGAltGlyphDefElement.cpp',
            'svg/SVGAltGlyphDefElement.h',
            'svg/SVGAltGlyphElement.cpp',
            'svg/SVGAltGlyphElement.h',
            'svg/SVGAltGlyphItemElement.cpp',
            'svg/SVGAltGlyphItemElement.h',
            'svg/SVGAngle.cpp',
            'svg/SVGAngleTearOff.cpp',
            'svg/SVGAnimateElement.cpp',
            'svg/SVGAnimateElement.h',
            'svg/SVGAnimateMotionElement.cpp',
            'svg/SVGAnimateMotionElement.h',
            'svg/SVGAnimateTransformElement.cpp',
            'svg/SVGAnimateTransformElement.h',
            'svg/SVGAnimatedAngle.cpp',
            'svg/SVGAnimatedColor.cpp',
            'svg/SVGAnimatedEnumerationBase.cpp',
            'svg/SVGAnimatedInteger.cpp',
            'svg/SVGAnimatedIntegerOptionalInteger.cpp',
            'svg/SVGAnimatedLength.cpp',
            'svg/SVGAnimatedNumber.cpp',
            'svg/SVGAnimatedNumberOptionalNumber.cpp',
            'svg/SVGAnimatedPath.cpp',
            'svg/SVGAnimatedTypeAnimator.cpp',
            'svg/SVGAnimatedTypeAnimator.h',
            'svg/SVGAnimationElement.cpp',
            'svg/SVGAnimationElement.h',
            'svg/SVGBoolean.cpp',
            'svg/SVGBoolean.h',
            'svg/SVGCircleElement.cpp',
            'svg/SVGCircleElement.h',
            'svg/SVGClipPathElement.cpp',
            'svg/SVGClipPathElement.h',
            'svg/SVGComponentTransferFunctionElement.cpp',
            'svg/SVGComponentTransferFunctionElement.h',
            'svg/SVGCursorElement.cpp',
            'svg/SVGCursorElement.h',
            'svg/SVGDefsElement.cpp',
            'svg/SVGDefsElement.h',
            'svg/SVGDescElement.cpp',
            'svg/SVGDescElement.h',
            'svg/SVGDiscardElement.cpp',
            'svg/SVGDiscardElement.h',
            'svg/SVGDocumentExtensions.cpp',
            'svg/SVGElement.cpp',
            'svg/SVGElementInstance.cpp',
            'svg/SVGElementInstance.h',
            'svg/SVGElementRareData.h',
            'svg/SVGEllipseElement.cpp',
            'svg/SVGEllipseElement.h',
            'svg/SVGEnumeration.cpp',
            'svg/SVGFEBlendElement.cpp',
            'svg/SVGFEBlendElement.h',
            'svg/SVGFEColorMatrixElement.cpp',
            'svg/SVGFEColorMatrixElement.h',
            'svg/SVGFEComponentTransferElement.cpp',
            'svg/SVGFEComponentTransferElement.h',
            'svg/SVGFECompositeElement.cpp',
            'svg/SVGFECompositeElement.h',
            'svg/SVGFEConvolveMatrixElement.cpp',
            'svg/SVGFEConvolveMatrixElement.h',
            'svg/SVGFEDiffuseLightingElement.cpp',
            'svg/SVGFEDiffuseLightingElement.h',
            'svg/SVGFEDisplacementMapElement.cpp',
            'svg/SVGFEDisplacementMapElement.h',
            'svg/SVGFEDistantLightElement.cpp',
            'svg/SVGFEDistantLightElement.h',
            'svg/SVGFEDropShadowElement.cpp',
            'svg/SVGFEDropShadowElement.h',
            'svg/SVGFEFloodElement.cpp',
            'svg/SVGFEFloodElement.h',
            'svg/SVGFEFuncAElement.cpp',
            'svg/SVGFEFuncAElement.h',
            'svg/SVGFEFuncBElement.cpp',
            'svg/SVGFEFuncBElement.h',
            'svg/SVGFEFuncGElement.cpp',
            'svg/SVGFEFuncGElement.h',
            'svg/SVGFEFuncRElement.cpp',
            'svg/SVGFEFuncRElement.h',
            'svg/SVGFEGaussianBlurElement.cpp',
            'svg/SVGFEGaussianBlurElement.h',
            'svg/SVGFEImageElement.cpp',
            'svg/SVGFEImageElement.h',
            'svg/SVGFELightElement.cpp',
            'svg/SVGFELightElement.h',
            'svg/SVGFEMergeElement.cpp',
            'svg/SVGFEMergeElement.h',
            'svg/SVGFEMergeNodeElement.cpp',
            'svg/SVGFEMergeNodeElement.h',
            'svg/SVGFEMorphologyElement.cpp',
            'svg/SVGFEMorphologyElement.h',
            'svg/SVGFEOffsetElement.cpp',
            'svg/SVGFEOffsetElement.h',
            'svg/SVGFEPointLightElement.cpp',
            'svg/SVGFEPointLightElement.h',
            'svg/SVGFESpecularLightingElement.cpp',
            'svg/SVGFESpecularLightingElement.h',
            'svg/SVGFESpotLightElement.cpp',
            'svg/SVGFESpotLightElement.h',
            'svg/SVGFETileElement.cpp',
            'svg/SVGFETileElement.h',
            'svg/SVGFETurbulenceElement.cpp',
            'svg/SVGFETurbulenceElement.h',
            'svg/SVGFilterElement.cpp',
            'svg/SVGFilterElement.h',
            'svg/SVGFilterPrimitiveStandardAttributes.cpp',
            'svg/SVGFilterPrimitiveStandardAttributes.h',
            'svg/SVGFitToViewBox.cpp',
            'svg/SVGFitToViewBox.h',
            'svg/SVGFontData.cpp',
            'svg/SVGFontData.h',
            'svg/SVGFontElement.cpp',
            'svg/SVGFontElement.h',
            'svg/SVGFontFaceElement.cpp',
            'svg/SVGFontFaceElement.h',
            'svg/SVGFontFaceFormatElement.cpp',
            'svg/SVGFontFaceFormatElement.h',
            'svg/SVGFontFaceNameElement.cpp',
            'svg/SVGFontFaceNameElement.h',
            'svg/SVGFontFaceSource.cpp',
            'svg/SVGFontFaceSource.h',
            'svg/SVGFontFaceSrcElement.cpp',
            'svg/SVGFontFaceSrcElement.h',
            'svg/SVGFontFaceUriElement.cpp',
            'svg/SVGFontFaceUriElement.h',
            'svg/SVGForeignObjectElement.cpp',
            'svg/SVGForeignObjectElement.h',
            'svg/SVGGElement.cpp',
            'svg/SVGGElement.h',
            'svg/SVGGeometryElement.cpp',
            'svg/SVGGeometryElement.h',
            'svg/SVGGlyphElement.cpp',
            'svg/SVGGlyphElement.h',
            'svg/SVGGlyphMap.h',
            'svg/SVGGlyphRefElement.cpp',
            'svg/SVGGlyphRefElement.h',
            'svg/SVGGradientElement.cpp',
            'svg/SVGGradientElement.h',
            'svg/SVGGraphicsElement.cpp',
            'svg/SVGGraphicsElement.h',
            'svg/SVGHKernElement.cpp',
            'svg/SVGHKernElement.h',
            'svg/SVGImageElement.cpp',
            'svg/SVGImageElement.h',
            'svg/SVGImageLoader.cpp',
            'svg/SVGImageLoader.h',
            'svg/SVGInteger.cpp',
            'svg/SVGInteger.h',
            'svg/SVGIntegerOptionalInteger.cpp',
            'svg/SVGIntegerOptionalInteger.h',
            'svg/SVGLength.cpp',
            'svg/SVGLengthContext.cpp',
            'svg/SVGLengthList.cpp',
            'svg/SVGLengthTearOff.cpp',
            'svg/SVGLineElement.cpp',
            'svg/SVGLineElement.h',
            'svg/SVGLinearGradientElement.cpp',
            'svg/SVGLinearGradientElement.h',
            'svg/SVGMPathElement.cpp',
            'svg/SVGMPathElement.h',
            'svg/SVGMarkerElement.cpp',
            'svg/SVGMarkerElement.h',
            'svg/SVGMaskElement.cpp',
            'svg/SVGMaskElement.h',
            'svg/SVGMatrixTearOff.cpp',
            'svg/SVGMatrixTearOff.h',
            'svg/SVGMetadataElement.cpp',
            'svg/SVGMetadataElement.h',
            'svg/SVGMissingGlyphElement.cpp',
            'svg/SVGMissingGlyphElement.h',
            'svg/SVGNumber.cpp',
            'svg/SVGNumber.h',
            'svg/SVGNumberList.cpp',
            'svg/SVGNumberList.h',
            'svg/SVGNumberOptionalNumber.cpp',
            'svg/SVGNumberOptionalNumber.h',
            'svg/SVGNumberTearOff.cpp',
            'svg/SVGNumberTearOff.h',
            'svg/SVGPaint.cpp',
            'svg/SVGParserUtilities.cpp',
            'svg/SVGParserUtilities.h',
            'svg/SVGParsingError.h',
            'svg/SVGPathBlender.cpp',
            'svg/SVGPathBlender.h',
            'svg/SVGPathBuilder.cpp',
            'svg/SVGPathBuilder.h',
            'svg/SVGPathByteStream.h',
            'svg/SVGPathByteStreamBuilder.cpp',
            'svg/SVGPathByteStreamBuilder.h',
            'svg/SVGPathByteStreamSource.cpp',
            'svg/SVGPathByteStreamSource.h',
            'svg/SVGPathConsumer.h',
            'svg/SVGPathElement.cpp',
            'svg/SVGPathElement.h',
            'svg/SVGPathParser.cpp',
            'svg/SVGPathParser.h',
            'svg/SVGPathSeg.cpp',
            'svg/SVGPathSeg.h',
            'svg/SVGPathSegArc.h',
            'svg/SVGPathSegArcAbs.h',
            'svg/SVGPathSegArcRel.h',
            'svg/SVGPathSegClosePath.h',
            'svg/SVGPathSegCurvetoCubic.h',
            'svg/SVGPathSegCurvetoCubicAbs.h',
            'svg/SVGPathSegCurvetoCubicRel.h',
            'svg/SVGPathSegCurvetoCubicSmooth.h',
            'svg/SVGPathSegCurvetoCubicSmoothAbs.h',
            'svg/SVGPathSegCurvetoCubicSmoothRel.h',
            'svg/SVGPathSegCurvetoQuadratic.h',
            'svg/SVGPathSegCurvetoQuadraticAbs.h',
            'svg/SVGPathSegCurvetoQuadraticRel.h',
            'svg/SVGPathSegCurvetoQuadraticSmoothAbs.h',
            'svg/SVGPathSegCurvetoQuadraticSmoothRel.h',
            'svg/SVGPathSegLinetoAbs.h',
            'svg/SVGPathSegLinetoHorizontal.h',
            'svg/SVGPathSegLinetoHorizontalAbs.h',
            'svg/SVGPathSegLinetoHorizontalRel.h',
            'svg/SVGPathSegLinetoRel.h',
            'svg/SVGPathSegLinetoVertical.h',
            'svg/SVGPathSegLinetoVerticalAbs.h',
            'svg/SVGPathSegLinetoVerticalRel.h',
            'svg/SVGPathSegList.cpp',
            'svg/SVGPathSegList.h',
            'svg/SVGPathSegListBuilder.cpp',
            'svg/SVGPathSegListBuilder.h',
            'svg/SVGPathSegListSource.cpp',
            'svg/SVGPathSegListSource.h',
            'svg/SVGPathSegListTearOff.h',
            'svg/SVGPathSegMovetoAbs.h',
            'svg/SVGPathSegMovetoRel.h',
            'svg/SVGPathSegWithContext.h',
            'svg/SVGPathSource.h',
            'svg/SVGPathStringBuilder.cpp',
            'svg/SVGPathStringBuilder.h',
            'svg/SVGPathStringSource.cpp',
            'svg/SVGPathStringSource.h',
            'svg/SVGPathTraversalStateBuilder.cpp',
            'svg/SVGPathTraversalStateBuilder.h',
            'svg/SVGPathUtilities.cpp',
            'svg/SVGPathUtilities.h',
            'svg/SVGPatternElement.cpp',
            'svg/SVGPatternElement.h',
            'svg/SVGPoint.cpp',
            'svg/SVGPoint.h',
            'svg/SVGPointList.cpp',
            'svg/SVGPointList.h',
            'svg/SVGPointTearOff.cpp',
            'svg/SVGPointTearOff.h',
            'svg/SVGPolyElement.cpp',
            'svg/SVGPolyElement.h',
            'svg/SVGPolygonElement.cpp',
            'svg/SVGPolygonElement.h',
            'svg/SVGPolylineElement.cpp',
            'svg/SVGPolylineElement.h',
            'svg/SVGPreserveAspectRatio.cpp',
            'svg/SVGPreserveAspectRatioTearOff.cpp',
            'svg/SVGRadialGradientElement.cpp',
            'svg/SVGRadialGradientElement.h',
            'svg/SVGRect.cpp',
            'svg/SVGRect.h',
            'svg/SVGRectElement.cpp',
            'svg/SVGRectElement.h',
            'svg/SVGRectTearOff.cpp',
            'svg/SVGRectTearOff.h',
            'svg/SVGRemoteFontFaceSource.cpp',
            'svg/SVGRemoteFontFaceSource.h',
            'svg/SVGRenderingIntent.h',
            'svg/SVGSVGElement.cpp',
            'svg/SVGSVGElement.h',
            'svg/SVGScriptElement.cpp',
            'svg/SVGScriptElement.h',
            'svg/SVGSetElement.cpp',
            'svg/SVGSetElement.h',
            'svg/SVGStaticStringList.cpp',
            'svg/SVGStaticStringList.h',
            'svg/SVGStopElement.cpp',
            'svg/SVGStopElement.h',
            'svg/SVGString.cpp',
            'svg/SVGString.h',
            'svg/SVGStringList.cpp',
            'svg/SVGStringList.h',
            'svg/SVGStringListTearOff.cpp',
            'svg/SVGStringListTearOff.h',
            'svg/SVGStyleElement.cpp',
            'svg/SVGStyleElement.h',
            'svg/SVGSwitchElement.cpp',
            'svg/SVGSwitchElement.h',
            'svg/SVGSymbolElement.cpp',
            'svg/SVGSymbolElement.h',
            'svg/SVGTSpanElement.cpp',
            'svg/SVGTSpanElement.h',
            'svg/SVGTests.cpp',
            'svg/SVGTests.h',
            'svg/SVGTextContentElement.cpp',
            'svg/SVGTextContentElement.h',
            'svg/SVGTextElement.cpp',
            'svg/SVGTextElement.h',
            'svg/SVGTextPathElement.cpp',
            'svg/SVGTextPathElement.h',
            'svg/SVGTextPositioningElement.cpp',
            'svg/SVGTextPositioningElement.h',
            'svg/SVGTitleElement.cpp',
            'svg/SVGTitleElement.h',
            'svg/SVGTransform.cpp',
            'svg/SVGTransformDistance.cpp',
            'svg/SVGTransformDistance.h',
            'svg/SVGTransformList.cpp',
            'svg/SVGTransformListTearOff.cpp',
            'svg/SVGTransformTearOff.cpp',
            'svg/SVGURIReference.cpp',
            'svg/SVGURIReference.h',
            'svg/SVGUnitTypes.cpp',
            'svg/SVGUnitTypes.h',
            'svg/SVGUnknownElement.cpp',
            'svg/SVGUnknownElement.h',
            'svg/SVGUseElement.cpp',
            'svg/SVGUseElement.h',
            'svg/SVGVKernElement.cpp',
            'svg/SVGVKernElement.h',
            'svg/SVGViewElement.cpp',
            'svg/SVGViewElement.h',
            'svg/SVGViewSpec.cpp',
            'svg/SVGViewSpec.h',
            'svg/SVGZoomAndPan.cpp',
            'svg/SVGZoomAndPan.h',
            'svg/SVGZoomEvent.cpp',
            'svg/SVGZoomEvent.h',
            'svg/animation/SMILTime.cpp',
            'svg/animation/SMILTimeContainer.cpp',
            'svg/animation/SMILTimeContainer.h',
            'svg/animation/SVGSMILElement.cpp',
            'svg/graphics/SVGImage.cpp',
            'svg/graphics/SVGImage.h',
            'svg/graphics/SVGImageCache.cpp',
            'svg/graphics/SVGImageCache.h',
            'svg/graphics/SVGImageChromeClient.cpp',
            'svg/graphics/SVGImageChromeClient.h',
            'svg/graphics/SVGImageForContainer.cpp',
            'svg/graphics/SVGImageForContainer.h',
            'svg/graphics/filters/SVGFEImage.cpp',
            'svg/graphics/filters/SVGFEImage.h',
            'svg/graphics/filters/SVGFilter.cpp',
            'svg/graphics/filters/SVGFilter.h',
            'svg/graphics/filters/SVGFilterBuilder.cpp',
            'svg/graphics/filters/SVGFilterBuilder.h',
            'svg/properties/SVGAnimatedProperty.cpp',
            'svg/properties/SVGPropertyTearOff.cpp',
        ],
        'webcore_testing_idl_files': [
          'testing/GCObservation.idl',
          'testing/InternalProfilers.idl',
          'testing/InternalSettings.idl',
          'testing/Internals.idl',
          'testing/LayerRect.idl',
          'testing/LayerRectList.idl',
          'testing/MallocStatistics.idl',
          'testing/TypeConversions.idl',
        ],
        'generated_webcore_testing_idl_files': [
          '<(SHARED_INTERMEDIATE_DIR)/blink/InternalRuntimeFlags.idl',
          '<(SHARED_INTERMEDIATE_DIR)/blink/InternalSettingsGenerated.idl',
        ],
        'webcore_testing_files': [
            '<(SHARED_INTERMEDIATE_DIR)/blink/InternalSettingsGenerated.cpp',
            '<(SHARED_INTERMEDIATE_DIR)/blink/InternalSettingsGenerated.h',
            'testing/DummyPageHolder.cpp',
            'testing/DummyPageHolder.h',
            'testing/GCObservation.cpp',
            'testing/GCObservation.h',
            'testing/InternalProfilers.cpp',
            'testing/InternalProfilers.h',
            'testing/InternalSettings.cpp',
            'testing/InternalSettings.h',
            'testing/Internals.cpp',
            'testing/Internals.h',
            'testing/LayerRect.h',
            'testing/LayerRectList.cpp',
            'testing/LayerRectList.h',
            'testing/MallocStatistics.h',
            'testing/MockPagePopupDriver.cpp',
            'testing/MockPagePopupDriver.h',
            'testing/TypeConversions.h',
            'testing/v8/WebCoreTestSupport.cpp',
            'testing/v8/WebCoreTestSupport.h',
        ],
        'core_unittest_files': [
            'animation/AnimatableColorTest.cpp',
            'animation/AnimatableDoubleTest.cpp',
            'animation/AnimatableLengthTest.cpp',
            'animation/AnimatableNeutralTest.cpp',
            'animation/AnimatableStrokeDasharrayListTest.cpp',
            'animation/AnimatableUnknownTest.cpp',
            'animation/AnimatableValueTestHelper.cpp',
            'animation/AnimatableValueTestHelper.h',
            'animation/AnimatableValueTestHelperTest.cpp',
            'animation/AnimationClockTest.cpp',
            'animation/AnimationHelpersTest.cpp',
            'animation/AnimationPlayerTest.cpp',
            'animation/AnimationStackTest.cpp',
            'animation/AnimationTest.cpp',
            'animation/AnimationTestHelper.cpp',
            'animation/AnimationTestHelper.h',
            'animation/AnimationTranslationUtilTest.cpp',
            'animation/CompositorAnimationsTest.cpp',
            'animation/CompositorAnimationsTestHelper.h',
            'animation/CompositorAnimationsTimingFunctionReverserTest.cpp',
            'animation/DocumentTimelineTest.cpp',
            'animation/EffectInputTest.cpp',
            'animation/InterpolationEffectTest.cpp',
            'animation/InterpolationTest.cpp',
            'animation/InterpolableValueTest.cpp',
            'animation/KeyframeEffectModelTest.cpp',
            'animation/TimedItemCalculationsTest.cpp',
            'animation/TimedItemTest.cpp',
            'animation/TimingInputTest.cpp',
            'css/AffectedByFocusTest.cpp',
            'css/CSSCalculationValueTest.cpp',
            'css/CSSFontFaceTest.cpp',
            'css/CSSParserValuesTest.cpp',
            'css/CSSSelectorTest.cpp',
            'css/CSSTestHelper.cpp',
            'css/CSSTestHelper.h',
            'css/CSSValueTestHelper.h',
            'css/DragUpdateTest.cpp',
            'css/MediaValuesTest.cpp',
            'css/MediaQueryEvaluatorTest.cpp',
            'css/MediaQuerySetTest.cpp',
            'css/RuleSetTest.cpp',
            'css/invalidation/DescendantInvalidationSetTest.cpp',
            'css/parser/BisonCSSParserTest.cpp',
            'css/parser/SizesCalcParserTest.cpp',
            'css/parser/MediaQueryTokenizerTest.cpp',
            'css/parser/SizesAttributeParserTest.cpp',
            'css/parser/MediaConditionTest.cpp',
            'css/resolver/FontBuilderTest.cpp',
            'dom/ActiveDOMObjectTest.cpp',
            'dom/DOMImplementationTest.cpp',
            'dom/DocumentMarkerControllerTest.cpp',
            'dom/DocumentTest.cpp',
            'dom/MainThreadTaskRunnerTest.cpp',
            'dom/RangeTest.cpp',
            'dom/TreeScopeTest.cpp',
            'editing/TextIteratorTest.cpp',
            'fetch/CachingCorrectnessTest.cpp',
            'fetch/ImageResourceTest.cpp',
            'fetch/MemoryCacheTest.cpp',
            'fetch/RawResourceTest.cpp',
            'fetch/ResourceFetcherTest.cpp',
            'frame/ImageBitmapTest.cpp',
            'html/HTMLDimensionTest.cpp',
            'html/HTMLLinkElementSizesAttributeTest.cpp',
            'html/LinkRelAttributeTest.cpp',
            'html/TimeRangesTest.cpp',
            'html/parser/HTMLParserThreadTest.cpp',
            'html/parser/HTMLSrcsetParserTest.cpp',
            'html/track/vtt/BufferedLineReaderTest.cpp',
            'html/track/vtt/VTTScannerTest.cpp',
            'loader/MixedContentCheckerTest.cpp',
            'rendering/RenderOverflowTest.cpp',
            'rendering/shapes/BoxShapeTest.cpp',
            'testing/UnitTestHelpers.cpp',
            'testing/UnitTestHelpers.h',
            'xml/parser/SharedBufferReaderTest.cpp',
        ],
    }
}
